Reactor Dependency Convergence

Legend:
[Error]
At least one dependency has a differing version of the dependency or has SNAPSHOT dependencies.

Statistics:
Number of modules: 37
Number of dependencies (NOD): 479
Number of unique artifacts (NOA): 541
Number of version-conflicting artifacts (NOC): 29
Number of SNAPSHOT artifacts (NOS): 0
Convergence (NOD/NOA):
[Error]
 88 %
Ready for release (100% convergence and no SNAPSHOTS):
[Error]
 Error
You do not have 100% convergence.

Dependencies used in modules

com.esotericsoftware:minlog

[Error]
1.3.0
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.twitter:chill_2.12:jar:0.9.5:compile
       \- com.esotericsoftware:kryo-shaded:jar:4.0.2:compile
          \- (com.esotericsoftware:minlog:jar:1.3.0:compile - omitted for conflict with 1.3.1)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.twitter:chill_2.12:jar:0.9.5:compile
       \- com.esotericsoftware:kryo-shaded:jar:4.0.2:compile
          \- (com.esotericsoftware:minlog:jar:1.3.0:compile - omitted for conflict with 1.3.1)

  3. com.simiacryptus:sparkbook:jar:2.0.0
    \- com.twitter:chill_2.12:jar:0.9.5:compile
       \- com.esotericsoftware:kryo-shaded:jar:4.0.2:compile
          \- (com.esotericsoftware:minlog:jar:1.3.0:compile - omitted for conflict with 1.3.1)

  4. com.simiacryptus:sparktree:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- com.twitter:chill_2.12:jar:0.9.5:compile
          \- com.esotericsoftware:kryo-shaded:jar:4.0.2:compile
             \- (com.esotericsoftware:minlog:jar:1.3.0:compile - omitted for conflict with 1.3.1)

  5. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.twitter:chill_2.12:jar:0.9.5:compile
       \- com.esotericsoftware:kryo-shaded:jar:4.0.2:compile
          \- (com.esotericsoftware:minlog:jar:1.3.0:compile - omitted for conflict with 1.3.1)

1.3.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.esotericsoftware:kryo:jar:5.0.0-RC5:compile
       \- com.esotericsoftware:minlog:jar:1.3.1:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.esotericsoftware:kryo:jar:5.0.0-RC5:compile
       \- com.esotericsoftware:minlog:jar:1.3.1:compile

  3. com.simiacryptus:sparkbook:jar:2.0.0
    \- com.esotericsoftware:kryo:jar:5.0.0-RC5:compile
       \- com.esotericsoftware:minlog:jar:1.3.1:compile

  4. com.simiacryptus:sparktree:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- com.esotericsoftware:kryo:jar:5.0.0-RC5:compile
          \- com.esotericsoftware:minlog:jar:1.3.1:compile

  5. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.esotericsoftware:kryo:jar:5.0.0-RC5:compile
       \- com.esotericsoftware:minlog:jar:1.3.1:compile

com.github.fommil.netlib:core

[Error]
1.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.github.fommil.netlib:all:pom:1.1.2:compile
          +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:compile
          |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:compile
          |     \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)
          \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:compile
             \- com.github.fommil.netlib:native_system-java:jar:1.1:compile
                \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.github.fommil.netlib:all:pom:1.1.2:compile
          +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:compile
          |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:compile
          |     \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)
          \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:compile
             \- com.github.fommil.netlib:native_system-java:jar:1.1:compile
                \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)

  3. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.github.haifengl:smile-plot:jar:2.2.2:test
          \- com.github.haifengl:smile-core:jar:2.2.2:test
             \- com.github.haifengl:smile-netlib:jar:2.2.2:test
                \- com.github.fommil.netlib:all:pom:1.1.2:test
                   +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:test
                   |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:test
                   |     \- (com.github.fommil.netlib:core:jar:1.1:test - omitted for conflict with 1.1.2)
                   \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:test
                      \- com.github.fommil.netlib:native_system-java:jar:1.1:test
                         \- (com.github.fommil.netlib:core:jar:1.1:test - omitted for conflict with 1.1.2)

  4. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.github.fommil.netlib:all:pom:1.1.2:compile
       +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:compile
       |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:compile
       |     \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)
       \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:compile
          \- com.github.fommil.netlib:native_system-java:jar:1.1:compile
             \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)

  5. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.github.haifengl:smile-plot:jar:2.2.2:test
       \- com.github.haifengl:smile-core:jar:2.2.2:test
          \- com.github.haifengl:smile-netlib:jar:2.2.2:test
             \- com.github.fommil.netlib:all:pom:1.1.2:test
                +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:test
                |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:test
                |     \- (com.github.fommil.netlib:core:jar:1.1:test - omitted for conflict with 1.1.2)
                \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:test
                   \- com.github.fommil.netlib:native_system-java:jar:1.1:test
                      \- (com.github.fommil.netlib:core:jar:1.1:test - omitted for conflict with 1.1.2)

  6. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.github.haifengl:smile-plot:jar:2.2.2:compile
          \- com.github.haifengl:smile-core:jar:2.2.2:compile
             \- com.github.haifengl:smile-netlib:jar:2.2.2:compile
                \- com.github.fommil.netlib:all:pom:1.1.2:compile
                   +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:compile
                   |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:compile
                   |     \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)
                   \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:compile
                      \- com.github.fommil.netlib:native_system-java:jar:1.1:compile
                         \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)

  7. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.github.haifengl:smile-plot:jar:2.2.2:compile
                \- com.github.haifengl:smile-core:jar:2.2.2:compile
                   \- com.github.haifengl:smile-netlib:jar:2.2.2:compile
                      \- com.github.fommil.netlib:all:pom:1.1.2:compile
                         +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:compile
                         |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:compile
                         |     \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)
                         \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:compile
                            \- com.github.fommil.netlib:native_system-java:jar:1.1:compile
                               \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)

  8. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.github.haifengl:smile-plot:jar:2.2.2:test
             \- com.github.haifengl:smile-core:jar:2.2.2:test
                \- com.github.haifengl:smile-netlib:jar:2.2.2:test
                   \- com.github.fommil.netlib:all:pom:1.1.2:test
                      +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:test
                      |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:test
                      |     \- (com.github.fommil.netlib:core:jar:1.1:test - omitted for conflict with 1.1.2)
                      \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:test
                         \- com.github.fommil.netlib:native_system-java:jar:1.1:test
                            \- (com.github.fommil.netlib:core:jar:1.1:test - omitted for conflict with 1.1.2)

  9. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.github.haifengl:smile-plot:jar:2.2.2:test
       \- com.github.haifengl:smile-core:jar:2.2.2:test
          \- com.github.haifengl:smile-netlib:jar:2.2.2:test
             \- com.github.fommil.netlib:all:pom:1.1.2:test
                +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:test
                |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:test
                |     \- (com.github.fommil.netlib:core:jar:1.1:test - omitted for conflict with 1.1.2)
                \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:test
                   \- com.github.fommil.netlib:native_system-java:jar:1.1:test
                      \- (com.github.fommil.netlib:core:jar:1.1:test - omitted for conflict with 1.1.2)

  10. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.github.haifengl:smile-plot:jar:2.2.2:compile
       \- com.github.haifengl:smile-core:jar:2.2.2:compile
          \- com.github.haifengl:smile-netlib:jar:2.2.2:compile
             \- com.github.fommil.netlib:all:pom:1.1.2:compile
                +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:compile
                |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:compile
                |     \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)
                \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:compile
                   \- com.github.fommil.netlib:native_system-java:jar:1.1:compile
                      \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)

  11. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.github.fommil.netlib:all:pom:1.1.2:compile
          +- com.github.fommil.netlib:netlib-native_ref-osx-x86_64:jar:natives:1.1:compile
          |  \- com.github.fommil.netlib:native_ref-java:jar:1.1:compile
          |     \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)
          \- com.github.fommil.netlib:netlib-native_system-osx-x86_64:jar:natives:1.1:compile
             \- com.github.fommil.netlib:native_system-java:jar:1.1:compile
                \- (com.github.fommil.netlib:core:jar:1.1:compile - omitted for conflict with 1.1.2)

1.1.2
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.github.fommil.netlib:all:pom:1.1.2:compile
          \- com.github.fommil.netlib:core:jar:1.1.2:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.github.fommil.netlib:all:pom:1.1.2:compile
          \- com.github.fommil.netlib:core:jar:1.1.2:compile

  3. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.github.haifengl:smile-plot:jar:2.2.2:test
          \- com.github.haifengl:smile-core:jar:2.2.2:test
             \- com.github.haifengl:smile-netlib:jar:2.2.2:test
                \- com.github.fommil.netlib:all:pom:1.1.2:test
                   \- com.github.fommil.netlib:core:jar:1.1.2:test

  4. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.github.fommil.netlib:all:pom:1.1.2:compile
       \- com.github.fommil.netlib:core:jar:1.1.2:compile

  5. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.github.haifengl:smile-plot:jar:2.2.2:test
       \- com.github.haifengl:smile-core:jar:2.2.2:test
          \- com.github.haifengl:smile-netlib:jar:2.2.2:test
             \- com.github.fommil.netlib:all:pom:1.1.2:test
                \- com.github.fommil.netlib:core:jar:1.1.2:test

  6. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.github.haifengl:smile-plot:jar:2.2.2:compile
          \- com.github.haifengl:smile-core:jar:2.2.2:compile
             \- com.github.haifengl:smile-netlib:jar:2.2.2:compile
                \- com.github.fommil.netlib:all:pom:1.1.2:compile
                   \- com.github.fommil.netlib:core:jar:1.1.2:compile

  7. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.github.haifengl:smile-plot:jar:2.2.2:compile
                \- com.github.haifengl:smile-core:jar:2.2.2:compile
                   \- com.github.haifengl:smile-netlib:jar:2.2.2:compile
                      \- com.github.fommil.netlib:all:pom:1.1.2:compile
                         \- com.github.fommil.netlib:core:jar:1.1.2:compile

  8. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.github.haifengl:smile-plot:jar:2.2.2:test
             \- com.github.haifengl:smile-core:jar:2.2.2:test
                \- com.github.haifengl:smile-netlib:jar:2.2.2:test
                   \- com.github.fommil.netlib:all:pom:1.1.2:test
                      \- com.github.fommil.netlib:core:jar:1.1.2:test

  9. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.github.haifengl:smile-plot:jar:2.2.2:test
       \- com.github.haifengl:smile-core:jar:2.2.2:test
          \- com.github.haifengl:smile-netlib:jar:2.2.2:test
             \- com.github.fommil.netlib:all:pom:1.1.2:test
                \- com.github.fommil.netlib:core:jar:1.1.2:test

  10. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.github.haifengl:smile-plot:jar:2.2.2:compile
       \- com.github.haifengl:smile-core:jar:2.2.2:compile
          \- com.github.haifengl:smile-netlib:jar:2.2.2:compile
             \- com.github.fommil.netlib:all:pom:1.1.2:compile
                \- com.github.fommil.netlib:core:jar:1.1.2:compile

  11. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.github.fommil.netlib:all:pom:1.1.2:compile
          \- com.github.fommil.netlib:core:jar:1.1.2:compile

com.googlecode.javaewah:JavaEWAH

[Error]
0.3.2
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (com.googlecode.javaewah:JavaEWAH:jar:0.3.2:compile - omitted for conflict with 1.1.7)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (com.googlecode.javaewah:JavaEWAH:jar:0.3.2:compile - omitted for conflict with 1.1.7)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (com.googlecode.javaewah:JavaEWAH:jar:0.3.2:compile - omitted for conflict with 1.1.7)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          \- com.googlecode.javaewah:JavaEWAH:jar:0.3.2:compile

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          \- com.googlecode.javaewah:JavaEWAH:jar:0.3.2:compile

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (com.googlecode.javaewah:JavaEWAH:jar:0.3.2:compile - omitted for conflict with 1.1.7)

1.1.7
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
          \- org.eclipse.jgit:org.eclipse.jgit:jar:5.7.0.202003090808-r:compile
             \- com.googlecode.javaewah:JavaEWAH:jar:1.1.7:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
          \- org.eclipse.jgit:org.eclipse.jgit:jar:5.7.0.202003090808-r:compile
             \- com.googlecode.javaewah:JavaEWAH:jar:1.1.7:compile

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.eclipse.jgit:org.eclipse.jgit:jar:5.7.0.202003090808-r:compile
          \- com.googlecode.javaewah:JavaEWAH:jar:1.1.7:compile

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
          \- org.eclipse.jgit:org.eclipse.jgit:jar:5.7.0.202003090808-r:compile
             \- (com.googlecode.javaewah:JavaEWAH:jar:1.1.7:compile - omitted for conflict with 0.3.2)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
          \- org.eclipse.jgit:org.eclipse.jgit:jar:5.7.0.202003090808-r:compile
             \- (com.googlecode.javaewah:JavaEWAH:jar:1.1.7:compile - omitted for conflict with 0.3.2)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
          \- org.eclipse.jgit:org.eclipse.jgit:jar:5.7.0.202003090808-r:compile
             \- com.googlecode.javaewah:JavaEWAH:jar:1.1.7:compile

com.nimbusds:nimbus-jose-jwt

[Error]
3.10
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.kerby:kerb-simplekdc:jar:1.0.1:compile
                \- org.apache.kerby:kerb-client:jar:1.0.1:compile
                   \- org.apache.kerby:token-provider:jar:1.0.1:compile
                      \- (com.nimbusds:nimbus-jose-jwt:jar:3.10:compile - omitted for conflict with 4.41.1)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.kerby:kerb-simplekdc:jar:1.0.1:compile
                \- org.apache.kerby:kerb-client:jar:1.0.1:compile
                   \- org.apache.kerby:token-provider:jar:1.0.1:compile
                      \- (com.nimbusds:nimbus-jose-jwt:jar:3.10:compile - omitted for conflict with 4.41.1)

  3. com.simiacryptus:hadoop-jgit-fs:jar:2.0.0
    \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
       \- org.apache.kerby:kerb-simplekdc:jar:1.0.1:compile
          \- org.apache.kerby:kerb-client:jar:1.0.1:compile
             \- org.apache.kerby:token-provider:jar:1.0.1:compile
                \- (com.nimbusds:nimbus-jose-jwt:jar:3.10:compile - omitted for conflict with 4.41.1)

  4. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.kerby:kerb-simplekdc:jar:1.0.1:compile
             \- org.apache.kerby:kerb-client:jar:1.0.1:compile
                \- org.apache.kerby:token-provider:jar:1.0.1:compile
                   \- (com.nimbusds:nimbus-jose-jwt:jar:3.10:compile - omitted for conflict with 4.41.1)

  5. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.kerby:kerb-simplekdc:jar:1.0.1:compile
             \- org.apache.kerby:kerb-client:jar:1.0.1:compile
                \- org.apache.kerby:token-provider:jar:1.0.1:compile
                   \- (com.nimbusds:nimbus-jose-jwt:jar:3.10:compile - omitted for conflict with 4.41.1)

  6. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.kerby:kerb-simplekdc:jar:1.0.1:compile
                \- org.apache.kerby:kerb-client:jar:1.0.1:compile
                   \- org.apache.kerby:token-provider:jar:1.0.1:compile
                      \- (com.nimbusds:nimbus-jose-jwt:jar:3.10:compile - omitted for conflict with 4.41.1)

  7. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.kerby:kerb-simplekdc:jar:1.0.1:compile
                \- org.apache.kerby:kerb-client:jar:1.0.1:compile
                   \- org.apache.kerby:token-provider:jar:1.0.1:compile
                      \- (com.nimbusds:nimbus-jose-jwt:jar:3.10:compile - omitted for conflict with 4.41.1)

  8. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.kerby:kerb-simplekdc:jar:1.0.1:compile
                \- org.apache.kerby:kerb-client:jar:1.0.1:compile
                   \- org.apache.kerby:token-provider:jar:1.0.1:compile
                      \- (com.nimbusds:nimbus-jose-jwt:jar:3.10:compile - omitted for conflict with 4.41.1)

4.41.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
                \- com.nimbusds:nimbus-jose-jwt:jar:4.41.1:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
                \- com.nimbusds:nimbus-jose-jwt:jar:4.41.1:compile

  3. com.simiacryptus:hadoop-jgit-fs:jar:2.0.0
    \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
       \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
          \- com.nimbusds:nimbus-jose-jwt:jar:4.41.1:compile

  4. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
             \- com.nimbusds:nimbus-jose-jwt:jar:4.41.1:compile

  5. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
             \- com.nimbusds:nimbus-jose-jwt:jar:4.41.1:compile

  6. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
                \- com.nimbusds:nimbus-jose-jwt:jar:4.41.1:compile

  7. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
                \- com.nimbusds:nimbus-jose-jwt:jar:4.41.1:compile

  8. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
                \- com.nimbusds:nimbus-jose-jwt:jar:4.41.1:compile

com.thoughtworks.paranamer:paranamer

[Error]
2.7
  1. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.avro:avro:jar:1.8.2:compile
          \- (com.thoughtworks.paranamer:paranamer:jar:2.7:compile - omitted for conflict with 2.8)

  2. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.avro:avro:jar:1.8.2:compile
          \- (com.thoughtworks.paranamer:paranamer:jar:2.7:compile - omitted for conflict with 2.8)

2.8
  1. com.simiacryptus:sparkbook:jar:2.0.0
    +- com.fasterxml.jackson.module:jackson-module-scala_2.12:jar:2.10.3:compile
    |  \- com.fasterxml.jackson.module:jackson-module-paranamer:jar:2.10.3:compile
    |     \- com.thoughtworks.paranamer:paranamer:jar:2.8:compile
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       +- (com.thoughtworks.paranamer:paranamer:jar:2.8:compile - scope updated from runtime; omitted for duplicate)
       \- org.json4s:json4s-jackson_2.12:jar:3.5.3:compile
          \- org.json4s:json4s-core_2.12:jar:3.5.3:compile
             \- (com.thoughtworks.paranamer:paranamer:jar:2.8:compile - omitted for duplicate)

  2. com.simiacryptus:sparktree:jar:2.0.0
    +- com.fasterxml.jackson.module:jackson-module-scala_2.12:jar:2.10.3:compile
    |  \- com.fasterxml.jackson.module:jackson-module-paranamer:jar:2.10.3:compile
    |     \- com.thoughtworks.paranamer:paranamer:jar:2.8:compile
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       +- (com.thoughtworks.paranamer:paranamer:jar:2.8:compile - scope updated from runtime; omitted for duplicate)
       \- org.json4s:json4s-jackson_2.12:jar:3.5.3:compile
          \- org.json4s:json4s-core_2.12:jar:3.5.3:compile
             \- (com.thoughtworks.paranamer:paranamer:jar:2.8:compile - omitted for duplicate)

commons-cli:commons-cli

[Error]
1.2
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    +- com.simiacryptus:mindseye-art:jar:2.0.0:compile
    |  \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |     \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |        \- commons-cli:commons-cli:jar:1.2:compile
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
    |        \- (commons-cli:commons-cli:jar:1.2:compile - omitted for duplicate)
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
                \- (commons-cli:commons-cli:jar:1.2:compile - omitted for duplicate)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- com.simiacryptus:mindseye-art:jar:2.0.0:compile
    |  \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |     \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |        \- commons-cli:commons-cli:jar:1.2:compile
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
    |        \- (commons-cli:commons-cli:jar:1.2:compile - omitted for duplicate)
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
                \- (commons-cli:commons-cli:jar:1.2:compile - omitted for duplicate)

  3. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- commons-cli:commons-cli:jar:1.2:compile

  4. com.simiacryptus:mindseye-text:jar:2.0.0
    +- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |  \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |     \- commons-cli:commons-cli:jar:1.2:compile
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
    |     \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
    |        \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
    |           \- (commons-cli:commons-cli:jar:1.2:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (commons-cli:commons-cli:jar:1.2:compile - omitted for duplicate)

1.4
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- (commons-cli:commons-cli:jar:1.4:compile - omitted for conflict with 1.2)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- (commons-cli:commons-cli:jar:1.4:compile - omitted for conflict with 1.2)

  3. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- (commons-cli:commons-cli:jar:1.4:compile - omitted for conflict with 1.2)

  4. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- (commons-cli:commons-cli:jar:1.4:compile - omitted for conflict with 1.2)

commons-codec:commons-codec

[Error]
1.10
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- commons-codec:commons-codec:jar:1.10:compile
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       +- org.apache.spark:spark-catalyst_2.12:jar:2.4.5:compile
       |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
       +- org.apache.parquet:parquet-column:jar:1.10.1:compile
       |  +- org.apache.parquet:parquet-encoding:jar:1.10.1:compile
       |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
       |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
       \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
          \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- commons-codec:commons-codec:jar:1.10:compile
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       +- org.apache.spark:spark-catalyst_2.12:jar:2.4.5:compile
       |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
       +- org.apache.parquet:parquet-column:jar:1.10.1:compile
       |  +- org.apache.parquet:parquet-encoding:jar:1.10.1:compile
       |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
       |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
       \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
          \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    +- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
    |  +- org.apache.spark:spark-catalyst_2.12:jar:2.4.5:compile
    |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for conflict with 1.11)
    |  +- org.apache.parquet:parquet-column:jar:1.10.1:compile
    |  |  +- org.apache.parquet:parquet-encoding:jar:1.10.1:compile
    |  |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for conflict with 1.11)
    |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for conflict with 1.11)
    |  \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
    |     \- (commons-codec:commons-codec:jar:1.10:compile - omitted for conflict with 1.11)
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- (commons-codec:commons-codec:jar:1.10:compile - omitted for conflict with 1.11)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    +- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
    |  +- org.apache.spark:spark-catalyst_2.12:jar:2.4.5:compile
    |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for conflict with 1.9)
    |  +- org.apache.parquet:parquet-column:jar:1.10.1:compile
    |  |  +- org.apache.parquet:parquet-encoding:jar:1.10.1:compile
    |  |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for conflict with 1.9)
    |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for conflict with 1.9)
    |  \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
    |     \- (commons-codec:commons-codec:jar:1.10:compile - omitted for conflict with 1.9)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- commons-codec:commons-codec:jar:1.10:compile

  5. com.simiacryptus:sparktree:jar:2.0.0
    +- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
    |  +- org.apache.spark:spark-catalyst_2.12:jar:2.4.5:compile
    |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
    |  +- org.apache.parquet:parquet-column:jar:1.10.1:compile
    |  |  +- org.apache.parquet:parquet-encoding:jar:1.10.1:compile
    |  |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
    |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
    |  \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
    |     \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- commons-codec:commons-codec:jar:1.10:compile

  6. com.simiacryptus:test-reporter:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- commons-codec:commons-codec:jar:1.10:compile
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       +- org.apache.spark:spark-catalyst_2.12:jar:2.4.5:compile
       |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
       +- org.apache.parquet:parquet-column:jar:1.10.1:compile
       |  +- org.apache.parquet:parquet-encoding:jar:1.10.1:compile
       |  |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
       |  \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)
       \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
          \- (commons-codec:commons-codec:jar:1.10:compile - omitted for duplicate)

1.11
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    +- com.simiacryptus:aws-utilities:jar:2.0.0:compile
    |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |     \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
    |        \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)
    +- com.simiacryptus:mindseye-art:jar:2.0.0:compile
    |  \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |     \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |        +- (commons-codec:commons-codec:jar:1.11:compile - omitted for duplicate)
    |        \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
    |           \- (commons-codec:commons-codec:jar:1.11:compile - omitted for duplicate)
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
                \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- com.simiacryptus:aws-utilities:jar:2.0.0:compile
    |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |     \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
    |        \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)
    +- com.simiacryptus:mindseye-art:jar:2.0.0:compile
    |  \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |     \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |        +- (commons-codec:commons-codec:jar:1.11:compile - omitted for duplicate)
    |        \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
    |           \- (commons-codec:commons-codec:jar:1.11:compile - omitted for duplicate)
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
                \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    +- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |  \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |     +- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.6)
    |     |  \- (commons-codec:commons-codec:jar:1.11:compile - omitted for duplicate)
    |     +- commons-codec:commons-codec:jar:1.11:compile
    |     \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
    |        \- (commons-codec:commons-codec:jar:1.11:compile - omitted for duplicate)
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
                \- (commons-codec:commons-codec:jar:1.11:compile - omitted for duplicate)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
    |     +- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |     |  +- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.9)
    |     |  \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
    |     |     \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.9)
    |     \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
    |        \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
    |           \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.9)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile
          \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.9)

  5. com.simiacryptus:sparktree:jar:2.0.0
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
    |     +- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |     |  +- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)
    |     |  \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
    |     |     \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)
    |     \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
    |        \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
    |           \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile
          \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.2)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    +- com.simiacryptus:aws-utilities:jar:2.0.0:compile
    |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |     \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
    |        \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          +- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          |  +- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)
          |  \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
          |     \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)
          \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
                \- (commons-codec:commons-codec:jar:1.11:compile - omitted for conflict with 1.10)

1.2
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- commons-httpclient:commons-httpclient:jar:3.1:compile
             \- (commons-codec:commons-codec:jar:1.2:compile - omitted for conflict with 1.11)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- commons-httpclient:commons-httpclient:jar:3.1:compile
             \- (commons-codec:commons-codec:jar:1.2:compile - omitted for conflict with 1.11)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- commons-httpclient:commons-httpclient:jar:3.1:compile
             \- (commons-codec:commons-codec:jar:1.2:compile - omitted for conflict with 1.11)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- commons-httpclient:commons-httpclient:jar:3.1:compile
          \- (commons-codec:commons-codec:jar:1.2:compile - omitted for conflict with 1.9)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- commons-httpclient:commons-httpclient:jar:3.1:compile
          \- (commons-codec:commons-codec:jar:1.2:compile - omitted for conflict with 1.10)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- commons-httpclient:commons-httpclient:jar:3.1:compile
             \- (commons-codec:commons-codec:jar:1.2:compile - omitted for conflict with 1.11)

1.4
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.orc:orc-mapreduce:jar:nohive:1.5.5:compile
          \- (commons-codec:commons-codec:jar:1.4:compile - omitted for conflict with 1.10)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.orc:orc-mapreduce:jar:nohive:1.5.5:compile
          \- (commons-codec:commons-codec:jar:1.4:compile - omitted for conflict with 1.10)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.orc:orc-mapreduce:jar:nohive:1.5.5:compile
          \- (commons-codec:commons-codec:jar:1.4:compile - omitted for conflict with 1.11)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.orc:orc-mapreduce:jar:nohive:1.5.5:compile
          \- (commons-codec:commons-codec:jar:1.4:compile - omitted for conflict with 1.9)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.orc:orc-mapreduce:jar:nohive:1.5.5:compile
          \- (commons-codec:commons-codec:jar:1.4:compile - omitted for conflict with 1.10)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.orc:orc-mapreduce:jar:nohive:1.5.5:compile
          \- (commons-codec:commons-codec:jar:1.4:compile - omitted for conflict with 1.10)

1.9
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
          \- (commons-codec:commons-codec:jar:1.9:compile - omitted for conflict with 1.10)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
          \- (commons-codec:commons-codec:jar:1.9:compile - omitted for conflict with 1.10)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
          \- (commons-codec:commons-codec:jar:1.9:compile - omitted for conflict with 1.11)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
          \- (commons-codec:commons-codec:jar:1.9:compile - omitted for conflict with 1.10)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
          \- (commons-codec:commons-codec:jar:1.9:compile - omitted for conflict with 1.10)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
          \- (commons-codec:commons-codec:jar:1.9:compile - omitted for conflict with 1.10)

commons-logging:commons-logging

[Error]
1.0.4
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- commons-httpclient:commons-httpclient:jar:3.1:compile
             \- (commons-logging:commons-logging:jar:1.0.4:compile - omitted for conflict with 1.1.3)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- commons-httpclient:commons-httpclient:jar:3.1:compile
             \- (commons-logging:commons-logging:jar:1.0.4:compile - omitted for conflict with 1.1.3)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- commons-httpclient:commons-httpclient:jar:3.1:compile
             \- (commons-logging:commons-logging:jar:1.0.4:compile - omitted for conflict with 1.1.3)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- commons-httpclient:commons-httpclient:jar:3.1:compile
          \- (commons-logging:commons-logging:jar:1.0.4:compile - omitted for conflict with 1.1.3)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- commons-httpclient:commons-httpclient:jar:3.1:compile
          \- (commons-logging:commons-logging:jar:1.0.4:compile - omitted for conflict with 1.1.3)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- commons-httpclient:commons-httpclient:jar:3.1:compile
             \- (commons-logging:commons-logging:jar:1.0.4:compile - omitted for conflict with 1.1.3)

1.1.3
  1. com.simiacryptus:aws-utilities:jar:2.0.0
    \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
       \- commons-logging:commons-logging:jar:1.1.3:compile

  2. com.simiacryptus:char-trie:jar:2.0.0
    \- com.simiacryptus:literate-reporting:jar:2.0.0:test
       \- com.amazonaws:aws-java-sdk-s3:jar:1.11.742:test
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
             \- commons-logging:commons-logging:jar:1.1.3:test

  3. com.simiacryptus:deepartist.org:jar:2.0.0
    +- com.simiacryptus:aws-utilities:jar:2.0.0:compile
    |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |     \- commons-logging:commons-logging:jar:1.1.3:compile
    +- com.simiacryptus:mindseye-art:jar:2.0.0:compile
    |  \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |     \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |        \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)

  4. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- com.simiacryptus:aws-utilities:jar:2.0.0:compile
    |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |     \- commons-logging:commons-logging:jar:1.1.3:compile
    +- com.simiacryptus:mindseye-art:jar:2.0.0:compile
    |  \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |     \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |        \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)

  5. com.simiacryptus:hadoop-jgit-fs:jar:2.0.0
    +- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |  \- commons-logging:commons-logging:jar:1.1.3:compile
    +- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
    |  \- (commons-logging:commons-logging:jar:1.1.3:test - omitted for duplicate)
    \- com.amazonaws:aws-java-sdk-codecommit:jar:1.11.742:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)

  6. com.simiacryptus:literate-reporting:jar:2.0.0
    \- com.amazonaws:aws-java-sdk-s3:jar:1.11.742:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- commons-logging:commons-logging:jar:1.1.3:compile

  7. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:aws-utilities:jar:2.0.0:test
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
             \- commons-logging:commons-logging:jar:1.1.3:test

  8. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       +- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
       |  \- commons-logging:commons-logging:jar:1.1.3:compile
       \- com.amazonaws:aws-java-sdk-codecommit:jar:1.11.742:compile
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
             \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)

  9. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:aws-utilities:jar:2.0.0:test
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
             \- commons-logging:commons-logging:jar:1.1.3:test

  10. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
             \- commons-logging:commons-logging:jar:1.1.3:compile

  11. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
                \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
                   \- commons-logging:commons-logging:jar:1.1.3:compile

  12. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.simiacryptus:aws-utilities:jar:2.0.0:test
             \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
                \- commons-logging:commons-logging:jar:1.1.3:test

  13. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:aws-utilities:jar:2.0.0:test
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
             \- commons-logging:commons-logging:jar:1.1.3:test

  14. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- commons-logging:commons-logging:jar:1.1.3:compile

  15. com.simiacryptus:mindseye-text:jar:2.0.0
    +- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |  \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |     \- commons-logging:commons-logging:jar:1.1.3:compile
    +- com.amazonaws:aws-java-sdk-s3:jar:1.11.742:compile
    |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |     \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)

  16. com.simiacryptus:sparkbook:jar:2.0.0
    +- com.amazonaws:aws-java-sdk-ec2:jar:1.11.742:compile
    |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |     \- commons-logging:commons-logging:jar:1.1.3:compile
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
          \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)

  17. com.simiacryptus:sparktree:jar:2.0.0
    +- com.amazonaws:aws-java-sdk-ec2:jar:1.11.742:compile
    |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |     \- commons-logging:commons-logging:jar:1.1.3:compile
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
          \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)

  18. com.simiacryptus:tensorflow-model:jar:2.0.0
    \- com.simiacryptus:literate-reporting:jar:2.0.0:test
       \- com.amazonaws:aws-java-sdk-s3:jar:1.11.742:test
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
             \- (commons-logging:commons-logging:jar:1.1.3:test - omitted for conflict with 1.2)

  19. com.simiacryptus:test-reporter:jar:2.0.0
    +- com.simiacryptus:aws-utilities:jar:2.0.0:compile
    |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |     \- commons-logging:commons-logging:jar:1.1.3:compile
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (commons-logging:commons-logging:jar:1.1.3:compile - omitted for duplicate)

1.2
  1. com.simiacryptus:aws-utilities:jar:2.0.0
    +- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |  \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
    |     \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
       \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
          \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
             \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
                +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
                |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
                |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
                |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
                \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
                   \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  2. com.simiacryptus:char-trie:jar:2.0.0
    \- com.simiacryptus:literate-reporting:jar:2.0.0:test
       +- com.amazonaws:aws-java-sdk-s3:jar:1.11.742:test
       |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
       |     \- org.apache.httpcomponents:httpclient:jar:4.5.12:test (version managed from 4.5.9)
       |        \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
       \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:test
          \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:test
             \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:test
                +- org.apache.pdfbox:pdfbox:jar:2.0.16:test
                |  +- org.apache.pdfbox:fontbox:jar:2.0.16:test
                |  |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
                |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
                \- org.apache.pdfbox:xmpbox:jar:2.0.16:test
                   \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)

  3. com.simiacryptus:deepartist.org:jar:2.0.0
    +- com.simiacryptus:aws-utilities:jar:2.0.0:compile
    |  +- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |  |  \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
    |  |     \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |  \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
    |     \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
    |        \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
    |           \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
    |              +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
    |              |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
    |              |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |              |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |              \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
    |                 \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             +- commons-beanutils:commons-beanutils:jar:1.9.3:compile
             |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
             \- org.apache.commons:commons-configuration2:jar:2.1.1:compile
                \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  4. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- com.simiacryptus:aws-utilities:jar:2.0.0:compile
    |  +- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |  |  \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
    |  |     \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |  \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
    |     \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
    |        \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
    |           \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
    |              +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
    |              |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
    |              |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |              |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |              \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
    |                 \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             +- commons-beanutils:commons-beanutils:jar:1.9.3:compile
             |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
             \- org.apache.commons:commons-configuration2:jar:2.1.1:compile
                \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  5. com.simiacryptus:hadoop-jgit-fs:jar:2.0.0
    \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
       +- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.6)
       |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
       +- commons-beanutils:commons-beanutils:jar:1.9.3:compile
       |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
       \- org.apache.commons:commons-configuration2:jar:2.1.1:compile
          \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  6. com.simiacryptus:literate-reporting:jar:2.0.0
    +- com.amazonaws:aws-java-sdk-s3:jar:1.11.742:compile
    |  \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
    |     \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
    |        \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
       \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
          \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
             +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
             |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
             |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
             |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
             \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
                \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  7. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       +- com.simiacryptus:literate-reporting:jar:2.0.0:test
       |  \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:test
       |     \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:test
       |        \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:test
       |           +- org.apache.pdfbox:pdfbox:jar:2.0.16:test
       |           |  +- org.apache.pdfbox:fontbox:jar:2.0.16:test
       |           |  |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
       |           |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
       |           \- org.apache.pdfbox:xmpbox:jar:2.0.16:test
       |              \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
       \- com.simiacryptus:aws-utilities:jar:2.0.0:test
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
             \- org.apache.httpcomponents:httpclient:jar:4.5.12:test (version managed from 4.5.9)
                \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)

  8. com.simiacryptus:mindseye-art:jar:2.0.0
    +- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |  \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |     +- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.6)
    |     |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |     +- commons-beanutils:commons-beanutils:jar:1.9.3:compile
    |     |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |     \- org.apache.commons:commons-configuration2:jar:2.1.1:compile
    |        \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
                \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
                   \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
                      \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
                         +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
                         |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
                         |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
                         |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
                         \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
                            \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  9. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       +- com.simiacryptus:literate-reporting:jar:2.0.0:test
       |  \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:test
       |     \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:test
       |        \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:test
       |           +- org.apache.pdfbox:pdfbox:jar:2.0.16:test
       |           |  +- org.apache.pdfbox:fontbox:jar:2.0.16:test
       |           |  |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
       |           |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
       |           \- org.apache.pdfbox:xmpbox:jar:2.0.16:test
       |              \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
       \- com.simiacryptus:aws-utilities:jar:2.0.0:test
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
             \- org.apache.httpcomponents:httpclient:jar:4.5.12:test (version managed from 4.5.9)
                \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)

  10. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       +- com.simiacryptus:literate-reporting:jar:2.0.0:compile
       |  \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
       |     \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
       |        \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
       |           +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
       |           |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
       |           |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
       |           |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
       |           \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
       |              \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
       \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
             \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
                \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  11. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             +- com.simiacryptus:literate-reporting:jar:2.0.0:compile
             |  \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
             |     \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
             |        \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
             |           +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
             |           |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
             |           |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
             |           |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
             |           \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
             |              \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
             \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
                \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
                   \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
                      \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  12. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          +- com.simiacryptus:literate-reporting:jar:2.0.0:test
          |  \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:test
          |     \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:test
          |        \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:test
          |           +- org.apache.pdfbox:pdfbox:jar:2.0.16:test
          |           |  +- org.apache.pdfbox:fontbox:jar:2.0.16:test
          |           |  |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
          |           |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
          |           \- org.apache.pdfbox:xmpbox:jar:2.0.16:test
          |              \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
          \- com.simiacryptus:aws-utilities:jar:2.0.0:test
             \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
                \- org.apache.httpcomponents:httpclient:jar:4.5.12:test (version managed from 4.5.9)
                   \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)

  13. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       +- com.simiacryptus:literate-reporting:jar:2.0.0:test
       |  \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:test
       |     \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:test
       |        \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:test
       |           +- org.apache.pdfbox:pdfbox:jar:2.0.16:test
       |           |  +- org.apache.pdfbox:fontbox:jar:2.0.16:test
       |           |  |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
       |           |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
       |           \- org.apache.pdfbox:xmpbox:jar:2.0.16:test
       |              \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
       \- com.simiacryptus:aws-utilities:jar:2.0.0:test
          \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:test
             \- org.apache.httpcomponents:httpclient:jar:4.5.12:test (version managed from 4.5.9)
                \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)

  14. com.simiacryptus:mindseye-test:jar:2.0.0
    +- com.simiacryptus:literate-reporting:jar:2.0.0:compile
    |  \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
    |     \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
    |        \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
    |           +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
    |           |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
    |           |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |           |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |           \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
    |              \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
             \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  15. com.simiacryptus:mindseye-text:jar:2.0.0
    +- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |  \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |     +- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.6)
    |     |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |     +- commons-beanutils:commons-beanutils:jar:1.9.3:compile
    |     |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |     \- org.apache.commons:commons-configuration2:jar:2.1.1:compile
    |        \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    \- com.simiacryptus:deepartist.org:jar:2.0.0:compile
       \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
          \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
             \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
                \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
                   \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
                      +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
                      |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
                      |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
                      |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
                      \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
                         \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  16. com.simiacryptus:sparkbook:jar:2.0.0
    +- com.simiacryptus:aws-utilities:jar:2.0.0:compile
    |  \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
    |     \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
    |        \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
    |           \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
    |              +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
    |              |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
    |              |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |              |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |              \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
    |                 \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile
          \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  17. com.simiacryptus:sparktree:jar:2.0.0
    +- com.simiacryptus:aws-utilities:jar:2.0.0:compile
    |  \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
    |     \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
    |        \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
    |           \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
    |              +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
    |              |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
    |              |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |              |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    |              \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
    |                 \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile
          \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

  18. com.simiacryptus:tensorflow-model:jar:2.0.0
    +- com.simiacryptus:literate-reporting:jar:2.0.0:test
    |  \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:test
    |     \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:test
    |        \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:test
    |           +- org.apache.pdfbox:pdfbox:jar:2.0.16:test
    |           |  +- org.apache.pdfbox:fontbox:jar:2.0.16:test
    |           |  |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
    |           |  \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
    |           \- org.apache.pdfbox:xmpbox:jar:2.0.16:test
    |              \- (commons-logging:commons-logging:jar:1.2:test - omitted for conflict with 1.1.3)
    \- org.apache.httpcomponents:httpclient:jar:4.5.12:test
       \- commons-logging:commons-logging:jar:1.2:test

  19. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       +- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
       |  \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
       |     \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
       \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
          \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
             \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
                \- com.openhtmltopdf:openhtmltopdf-pdfbox:jar:1.0.0:compile
                   +- org.apache.pdfbox:pdfbox:jar:2.0.16:compile
                   |  +- org.apache.pdfbox:fontbox:jar:2.0.16:compile
                   |  |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
                   |  \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)
                   \- org.apache.pdfbox:xmpbox:jar:2.0.16:compile
                      \- (commons-logging:commons-logging:jar:1.2:compile - omitted for conflict with 1.1.3)

commons-net:commons-net

[Error]
3.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- commons-net:commons-net:jar:3.1:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- commons-net:commons-net:jar:3.1:compile

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- commons-net:commons-net:jar:3.1:compile

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- commons-net:commons-net:jar:3.1:compile

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- commons-net:commons-net:jar:3.1:compile

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- commons-net:commons-net:jar:3.1:compile

3.6
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (commons-net:commons-net:jar:3.6:compile - omitted for conflict with 3.1)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (commons-net:commons-net:jar:3.6:compile - omitted for conflict with 3.1)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- (commons-net:commons-net:jar:3.6:compile - omitted for conflict with 3.1)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (commons-net:commons-net:jar:3.6:compile - omitted for conflict with 3.1)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (commons-net:commons-net:jar:3.6:compile - omitted for conflict with 3.1)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (commons-net:commons-net:jar:3.6:compile - omitted for conflict with 3.1)

io.netty:netty

[Error]
3.7.0.Final
  1. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile
          \- (io.netty:netty:jar:3.7.0.Final:compile - omitted for conflict with 3.9.9.Final)

  2. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile
          \- (io.netty:netty:jar:3.7.0.Final:compile - omitted for conflict with 3.9.9.Final)

  3. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile
          \- (io.netty:netty:jar:3.7.0.Final:compile - omitted for conflict with 3.9.9.Final)

3.9.9.Final
  1. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- io.netty:netty:jar:3.9.9.Final:compile

  2. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- io.netty:netty:jar:3.9.9.Final:compile

  3. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- io.netty:netty:jar:3.9.9.Final:compile

javax.activation:activation

[Error]
1.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    +- ch.qos.logback:logback-classic:jar:1.3.0-alpha5:compile
    |  \- com.sun.mail:javax.mail:jar:1.6.2:runtime
    |     \- (javax.activation:activation:jar:1.1:compile - scope updated from runtime; omitted for duplicate)
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- javax.mail:mail:jar:1.5.0-b01:compile
          \- (javax.activation:activation:jar:1.1:compile - omitted for conflict with 1.1.1)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- ch.qos.logback:logback-classic:jar:1.3.0-alpha5:compile
    |  \- com.sun.mail:javax.mail:jar:1.6.2:runtime
    |     \- (javax.activation:activation:jar:1.1:compile - scope updated from runtime; omitted for duplicate)
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- javax.mail:mail:jar:1.5.0-b01:compile
          \- (javax.activation:activation:jar:1.1:compile - omitted for conflict with 1.1.1)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    +- ch.qos.logback:logback-classic:jar:1.3.0-alpha5:compile
    |  \- com.sun.mail:javax.mail:jar:1.6.2:runtime
    |     \- (javax.activation:activation:jar:1.1:compile - scope updated from runtime; omitted for duplicate)
    \- com.simiacryptus:deepartist.org:jar:2.0.0:compile
       \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
          \- javax.mail:mail:jar:1.5.0-b01:compile
             \- (javax.activation:activation:jar:1.1:compile - omitted for conflict with 1.1.1)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    +- ch.qos.logback:logback-classic:jar:1.3.0-alpha5:compile
    |  \- com.sun.mail:javax.mail:jar:1.6.2:runtime
    |     \- (javax.activation:activation:jar:1.1:compile - scope updated from runtime; omitted for duplicate)
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- javax.mail:mail:jar:1.5.0-b01:compile
          \- (javax.activation:activation:jar:1.1:compile - omitted for conflict with 1.1.1)

  5. com.simiacryptus:sparktree:jar:2.0.0
    +- ch.qos.logback:logback-classic:jar:1.3.0-alpha5:compile
    |  \- com.sun.mail:javax.mail:jar:1.6.2:runtime
    |     \- (javax.activation:activation:jar:1.1:compile - scope updated from runtime; omitted for duplicate)
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- javax.mail:mail:jar:1.5.0-b01:compile
          \- (javax.activation:activation:jar:1.1:compile - omitted for conflict with 1.1.1)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    +- ch.qos.logback:logback-classic:jar:1.3.0-alpha5:compile
    |  \- com.sun.mail:javax.mail:jar:1.6.2:runtime
    |     \- (javax.activation:activation:jar:1.1:compile - scope updated from runtime; omitted for duplicate)
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- javax.mail:mail:jar:1.5.0-b01:compile
          \- (javax.activation:activation:jar:1.1:compile - omitted for conflict with 1.1.1)

1.1.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- javax.activation:activation:jar:1.1.1:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- javax.activation:activation:jar:1.1.1:compile

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- javax.activation:activation:jar:1.1.1:compile

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- javax.activation:activation:jar:1.1.1:compile

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- javax.activation:activation:jar:1.1.1:compile

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- javax.activation:activation:jar:1.1.1:compile

javax.xml.bind:jaxb-api

[Error]
2.2.11
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          +- org.apache.hadoop:hadoop-yarn-api:jar:3.2.1:compile
          |  \- javax.xml.bind:jaxb-api:jar:2.2.11:compile
          \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
                \- (javax.xml.bind:jaxb-api:jar:2.2.11:compile - omitted for duplicate)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          +- org.apache.hadoop:hadoop-yarn-api:jar:3.2.1:compile
          |  \- javax.xml.bind:jaxb-api:jar:2.2.11:compile
          \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
                \- (javax.xml.bind:jaxb-api:jar:2.2.11:compile - omitted for duplicate)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          +- org.apache.hadoop:hadoop-yarn-api:jar:3.2.1:compile
          |  \- javax.xml.bind:jaxb-api:jar:2.2.11:compile
          \- org.apache.hadoop:hadoop-mapreduce-client-core:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-yarn-common:jar:3.2.1:compile
                \- (javax.xml.bind:jaxb-api:jar:2.2.11:compile - omitted for duplicate)

2.2.2
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- com.sun.jersey:jersey-json:jar:1.19:compile
                \- com.sun.xml.bind:jaxb-impl:jar:2.2.3-1:compile
                   \- (javax.xml.bind:jaxb-api:jar:2.2.2:compile - omitted for conflict with 2.2.11)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- com.sun.jersey:jersey-json:jar:1.19:compile
                \- com.sun.xml.bind:jaxb-impl:jar:2.2.3-1:compile
                   \- (javax.xml.bind:jaxb-api:jar:2.2.2:compile - omitted for conflict with 2.2.11)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- com.sun.jersey:jersey-json:jar:1.19:compile
             \- com.sun.xml.bind:jaxb-impl:jar:2.2.3-1:compile
                \- (javax.xml.bind:jaxb-api:jar:2.2.2:compile - omitted for conflict with 2.2.11)

joda-time:joda-time

[Error]
2.8.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- joda-time:joda-time:jar:2.8.1:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- joda-time:joda-time:jar:2.8.1:compile

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.amazonaws:aws-java-sdk-s3:jar:1.11.742:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- joda-time:joda-time:jar:2.8.1:compile

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- com.amazonaws:aws-java-sdk-ec2:jar:1.11.742:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- (joda-time:joda-time:jar:2.8.1:compile - omitted for conflict with 2.9.3)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- com.amazonaws:aws-java-sdk-ec2:jar:1.11.742:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- (joda-time:joda-time:jar:2.8.1:compile - omitted for conflict with 2.9.3)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- joda-time:joda-time:jar:2.8.1:compile

2.9.3
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- (joda-time:joda-time:jar:2.9.3:compile - omitted for conflict with 2.8.1)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- (joda-time:joda-time:jar:2.9.3:compile - omitted for conflict with 2.8.1)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- (joda-time:joda-time:jar:2.9.3:compile - omitted for conflict with 2.8.1)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- joda-time:joda-time:jar:2.9.3:compile

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- joda-time:joda-time:jar:2.9.3:compile

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- (joda-time:joda-time:jar:2.9.3:compile - omitted for conflict with 2.8.1)

2.9.9
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
          \- (joda-time:joda-time:jar:2.9.9:compile - omitted for conflict with 2.8.1)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
          \- (joda-time:joda-time:jar:2.9.9:compile - omitted for conflict with 2.8.1)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
          \- (joda-time:joda-time:jar:2.9.9:compile - omitted for conflict with 2.8.1)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
          \- (joda-time:joda-time:jar:2.9.9:compile - omitted for conflict with 2.8.1)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
          \- (joda-time:joda-time:jar:2.9.9:compile - omitted for conflict with 2.8.1)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.arrow:arrow-vector:jar:0.10.0:compile
          \- (joda-time:joda-time:jar:2.9.9:compile - omitted for conflict with 2.8.1)

org.antlr:antlr-runtime

[Error]
3.3
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- org.antlr:ST4:jar:4.0.4:compile
                \- (org.antlr:antlr-runtime:jar:3.3:compile - omitted for conflict with 3.4)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- org.antlr:ST4:jar:4.0.4:compile
                \- (org.antlr:antlr-runtime:jar:3.3:compile - omitted for conflict with 3.4)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- org.antlr:ST4:jar:4.0.4:compile
                \- (org.antlr:antlr-runtime:jar:3.3:compile - omitted for conflict with 3.4)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          \- org.antlr:ST4:jar:4.0.4:compile
             \- (org.antlr:antlr-runtime:jar:3.3:compile - omitted for conflict with 3.4)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          \- org.antlr:ST4:jar:4.0.4:compile
             \- (org.antlr:antlr-runtime:jar:3.3:compile - omitted for conflict with 3.4)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- org.antlr:ST4:jar:4.0.4:compile
                \- (org.antlr:antlr-runtime:jar:3.3:compile - omitted for conflict with 3.4)

3.4
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          +- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          |  \- org.antlr:antlr-runtime:jar:3.4:compile
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (org.antlr:antlr-runtime:jar:3.4:compile - omitted for duplicate)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          +- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          |  \- org.antlr:antlr-runtime:jar:3.4:compile
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (org.antlr:antlr-runtime:jar:3.4:compile - omitted for duplicate)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          +- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          |  \- org.antlr:antlr-runtime:jar:3.4:compile
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (org.antlr:antlr-runtime:jar:3.4:compile - omitted for duplicate)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       +- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
       |  \- org.antlr:antlr-runtime:jar:3.4:compile
       \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
          \- (org.antlr:antlr-runtime:jar:3.4:compile - omitted for duplicate)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       +- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
       |  \- org.antlr:antlr-runtime:jar:3.4:compile
       \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
          \- (org.antlr:antlr-runtime:jar:3.4:compile - omitted for duplicate)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          +- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          |  \- org.antlr:antlr-runtime:jar:3.4:compile
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (org.antlr:antlr-runtime:jar:3.4:compile - omitted for duplicate)

org.apache.avro:avro

[Error]
1.7.5
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.apache.avro:avro:jar:1.7.5:compile - omitted for conflict with 1.8.2)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.apache.avro:avro:jar:1.7.5:compile - omitted for conflict with 1.8.2)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.apache.avro:avro:jar:1.7.5:compile - omitted for conflict with 1.8.2)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          \- (org.apache.avro:avro:jar:1.7.5:compile - omitted for conflict with 1.8.2)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          \- (org.apache.avro:avro:jar:1.7.5:compile - omitted for conflict with 1.8.2)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.apache.avro:avro:jar:1.7.5:compile - omitted for conflict with 1.8.2)

1.7.7
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (org.apache.avro:avro:jar:1.7.7:compile - omitted for conflict with 1.8.2)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (org.apache.avro:avro:jar:1.7.7:compile - omitted for conflict with 1.8.2)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- (org.apache.avro:avro:jar:1.7.7:compile - omitted for conflict with 1.8.2)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (org.apache.avro:avro:jar:1.7.7:compile - omitted for conflict with 1.8.2)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (org.apache.avro:avro:jar:1.7.7:compile - omitted for conflict with 1.8.2)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (org.apache.avro:avro:jar:1.7.7:compile - omitted for conflict with 1.8.2)

1.8.2
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       +- org.apache.avro:avro:jar:1.8.2:compile
       \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
          \- org.apache.avro:avro-ipc:jar:1.8.2:compile
             \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       +- org.apache.avro:avro:jar:1.8.2:compile
       \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
          \- org.apache.avro:avro-ipc:jar:1.8.2:compile
             \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     \- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |        \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     \- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |        \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)

  5. com.simiacryptus:sparktree:jar:2.0.0
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     \- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |        \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       +- org.apache.avro:avro:jar:1.8.2:compile
       \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
          \- org.apache.avro:avro-ipc:jar:1.8.2:compile
             \- (org.apache.avro:avro:jar:1.8.2:compile - omitted for duplicate)

org.apache.curator:curator-recipes

[Error]
2.13.0
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (org.apache.curator:curator-recipes:jar:2.13.0:compile - omitted for conflict with 2.6.0)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (org.apache.curator:curator-recipes:jar:2.13.0:compile - omitted for conflict with 2.6.0)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- (org.apache.curator:curator-recipes:jar:2.13.0:compile - omitted for conflict with 2.6.0)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (org.apache.curator:curator-recipes:jar:2.13.0:compile - omitted for conflict with 2.6.0)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (org.apache.curator:curator-recipes:jar:2.13.0:compile - omitted for conflict with 2.6.0)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.hadoop:hadoop-client:jar:3.2.1:compile (version managed from 2.6.5)
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- (org.apache.curator:curator-recipes:jar:2.13.0:compile - omitted for conflict with 2.6.0)

2.6.0
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.curator:curator-recipes:jar:2.6.0:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.curator:curator-recipes:jar:2.6.0:compile

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.curator:curator-recipes:jar:2.6.0:compile

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.curator:curator-recipes:jar:2.6.0:compile

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.curator:curator-recipes:jar:2.6.0:compile

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       \- org.apache.curator:curator-recipes:jar:2.6.0:compile

org.apache.derby:derby

[Error]
10.10.2.0
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (org.apache.derby:derby:jar:10.10.2.0:compile - omitted for conflict with 10.12.1.1)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (org.apache.derby:derby:jar:10.10.2.0:compile - omitted for conflict with 10.12.1.1)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (org.apache.derby:derby:jar:10.10.2.0:compile - omitted for conflict with 10.12.1.1)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
          \- (org.apache.derby:derby:jar:10.10.2.0:compile - omitted for conflict with 10.12.1.1)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
          \- (org.apache.derby:derby:jar:10.10.2.0:compile - omitted for conflict with 10.12.1.1)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-metastore:jar:1.2.1.spark2:compile
             \- (org.apache.derby:derby:jar:10.10.2.0:compile - omitted for conflict with 10.12.1.1)

10.12.1.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.apache.derby:derby:jar:10.12.1.1:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.apache.derby:derby:jar:10.12.1.1:compile

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- org.apache.derby:derby:jar:10.12.1.1:compile

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.apache.derby:derby:jar:10.12.1.1:compile

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.apache.derby:derby:jar:10.12.1.1:compile

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.apache.derby:derby:jar:10.12.1.1:compile

org.apache.httpcomponents:httpcore

[Error]
4.4.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.apache.thrift:libthrift:jar:0.9.3:compile
             \- (org.apache.httpcomponents:httpcore:jar:4.4.1:compile - omitted for conflict with 4.4.13)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.apache.thrift:libthrift:jar:0.9.3:compile
             \- (org.apache.httpcomponents:httpcore:jar:4.4.1:compile - omitted for conflict with 4.4.13)

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- org.apache.thrift:libthrift:jar:0.9.3:compile
             \- (org.apache.httpcomponents:httpcore:jar:4.4.1:compile - omitted for conflict with 4.4.13)

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.apache.thrift:libthrift:jar:0.9.3:compile
          \- (org.apache.httpcomponents:httpcore:jar:4.4.1:compile - omitted for conflict with 4.4.13)

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.apache.thrift:libthrift:jar:0.9.3:compile
          \- (org.apache.httpcomponents:httpcore:jar:4.4.1:compile - omitted for conflict with 4.4.13)

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.apache.thrift:libthrift:jar:0.9.3:compile
             \- (org.apache.httpcomponents:httpcore:jar:4.4.1:compile - omitted for conflict with 4.4.13)

4.4.13
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
             \- org.apache.httpcomponents:httpcore:jar:4.4.13:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
             \- org.apache.httpcomponents:httpcore:jar:4.4.13:compile

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.6)
             \- org.apache.httpcomponents:httpcore:jar:4.4.13:compile

  4. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile
          \- org.apache.httpcomponents:httpcore:jar:4.4.13:compile

  5. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile
          \- org.apache.httpcomponents:httpcore:jar:4.4.13:compile

  6. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.amazonaws:aws-java-sdk-core:jar:1.11.742:compile
          \- org.apache.httpcomponents:httpclient:jar:4.5.12:compile (version managed from 4.5.9)
             \- org.apache.httpcomponents:httpcore:jar:4.4.13:compile

org.apache.maven:maven-artifact

[Error]
3.0
  1. com.simiacryptus:autocoder-core:maven-plugin:2.0.0
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.6.0:provided
       \- (org.apache.maven:maven-artifact:jar:3.0:provided - omitted for conflict with 3.6.0)

  2. com.simiacryptus:autocoder-test:jar:2.0.0
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.6.0:provided
       \- (org.apache.maven:maven-artifact:jar:3.0:provided - omitted for conflict with 3.6.0)

  3. com.simiacryptus:refcount-autocoder:maven-plugin:2.0.0
    \- org.apache.maven.plugin-tools:maven-plugin-annotations:jar:3.6.0:provided
       \- (org.apache.maven:maven-artifact:jar:3.0:provided - omitted for conflict with 3.6.0)

3.6.0
  1. com.simiacryptus:autocoder-core:maven-plugin:2.0.0
    +- org.apache.maven:maven-embedder:jar:3.6.0:test
    |  \- org.apache.maven:maven-model-builder:jar:3.6.0:test
    |     \- (org.apache.maven:maven-artifact:jar:3.6.0:test - omitted for duplicate)
    +- org.apache.maven:maven-plugin-api:jar:3.6.0:compile
    |  \- org.apache.maven:maven-artifact:jar:3.6.0:compile
    \- org.apache.maven:maven-core:jar:3.6.0:provided
       \- (org.apache.maven:maven-artifact:jar:3.6.0:provided - omitted for duplicate)

  2. com.simiacryptus:autocoder-test:jar:2.0.0
    +- org.apache.maven:maven-embedder:jar:3.6.0:test
    |  \- org.apache.maven:maven-model-builder:jar:3.6.0:test
    |     \- (org.apache.maven:maven-artifact:jar:3.6.0:test - omitted for duplicate)
    +- org.apache.maven:maven-plugin-api:jar:3.6.0:compile
    |  \- org.apache.maven:maven-artifact:jar:3.6.0:compile
    \- org.apache.maven:maven-core:jar:3.6.0:provided
       \- (org.apache.maven:maven-artifact:jar:3.6.0:provided - omitted for duplicate)

  3. com.simiacryptus:refcount-autocoder:maven-plugin:2.0.0
    +- org.apache.maven:maven-embedder:jar:3.6.0:test
    |  \- org.apache.maven:maven-model-builder:jar:3.6.0:test
    |     \- (org.apache.maven:maven-artifact:jar:3.6.0:test - omitted for duplicate)
    +- org.apache.maven:maven-plugin-api:jar:3.6.0:compile
    |  \- org.apache.maven:maven-artifact:jar:3.6.0:compile
    \- org.apache.maven:maven-core:jar:3.6.0:provided
       \- (org.apache.maven:maven-artifact:jar:3.6.0:provided - omitted for duplicate)

org.apache.zookeeper:zookeeper

[Error]
3.4.13
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             +- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
             |  \- (org.apache.zookeeper:zookeeper:jar:3.4.13:compile - omitted for duplicate)
             \- (org.apache.zookeeper:zookeeper:jar:3.4.13:compile - omitted for conflict with 3.4.6)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             +- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
             |  \- (org.apache.zookeeper:zookeeper:jar:3.4.13:compile - omitted for duplicate)
             \- (org.apache.zookeeper:zookeeper:jar:3.4.13:compile - omitted for conflict with 3.4.6)

  3. com.simiacryptus:hadoop-jgit-fs:jar:2.0.0
    +- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |  +- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
    |  |  \- (org.apache.zookeeper:zookeeper:jar:3.4.13:compile - omitted for duplicate)
    |  \- org.apache.zookeeper:zookeeper:jar:3.4.13:compile
    \- org.apache.hadoop:hadoop-common:test-jar:tests:3.2.1:test
       \- (org.apache.zookeeper:zookeeper:jar:3.4.13:test - omitted for duplicate)

  4. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          +- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
          |  \- (org.apache.zookeeper:zookeeper:jar:3.4.13:compile - omitted for duplicate)
          \- org.apache.zookeeper:zookeeper:jar:3.4.13:compile

  5. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          +- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
          |  \- (org.apache.zookeeper:zookeeper:jar:3.4.13:compile - omitted for duplicate)
          \- (org.apache.zookeeper:zookeeper:jar:3.4.13:compile - omitted for conflict with 3.4.6)

3.4.6
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       +- org.apache.curator:curator-recipes:jar:2.6.0:compile
       |  +- org.apache.curator:curator-framework:jar:2.6.0:compile
       |  |  \- (org.apache.zookeeper:zookeeper:jar:3.4.6:compile - omitted for duplicate)
       |  \- (org.apache.zookeeper:zookeeper:jar:3.4.6:compile - omitted for duplicate)
       \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       +- org.apache.curator:curator-recipes:jar:2.6.0:compile
       |  +- org.apache.curator:curator-framework:jar:2.6.0:compile
       |  |  \- (org.apache.zookeeper:zookeeper:jar:3.4.6:compile - omitted for duplicate)
       |  \- (org.apache.zookeeper:zookeeper:jar:3.4.6:compile - omitted for duplicate)
       \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile

  3. com.simiacryptus:mindseye-text:jar:2.0.0
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       +- org.apache.curator:curator-recipes:jar:2.6.0:compile
       |  +- org.apache.curator:curator-framework:jar:2.6.0:compile
       |  |  \- (org.apache.zookeeper:zookeeper:jar:3.4.6:compile - omitted for conflict with 3.4.13)
       |  \- (org.apache.zookeeper:zookeeper:jar:3.4.6:compile - omitted for conflict with 3.4.13)
       \- org.apache.zookeeper:zookeeper:jar:3.4.6:compile

3.4.8
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.curator:curator-client:jar:2.13.0:compile
                \- (org.apache.zookeeper:zookeeper:jar:3.4.8:compile - omitted for conflict with 3.4.13)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.curator:curator-client:jar:2.13.0:compile
                \- (org.apache.zookeeper:zookeeper:jar:3.4.8:compile - omitted for conflict with 3.4.13)

  3. com.simiacryptus:hadoop-jgit-fs:jar:2.0.0
    \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
       \- org.apache.curator:curator-client:jar:2.13.0:compile
          \- (org.apache.zookeeper:zookeeper:jar:3.4.8:compile - omitted for conflict with 3.4.13)

  4. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.curator:curator-client:jar:2.13.0:compile
             \- (org.apache.zookeeper:zookeeper:jar:3.4.8:compile - omitted for conflict with 3.4.13)

  5. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.curator:curator-client:jar:2.13.0:compile
             \- (org.apache.zookeeper:zookeeper:jar:3.4.8:compile - omitted for conflict with 3.4.13)

org.codehaus.jackson:jackson-core-asl

[Error]
1.9.13
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
    |        \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
    |        \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)

  3. com.simiacryptus:hadoop-jgit-fs:jar:2.0.0
    \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
       \- org.apache.avro:avro:jar:1.7.7:compile
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for conflict with 1.9.2)

  4. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.avro:avro:jar:1.7.7:compile
             \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for conflict with 1.9.2)

  5. com.simiacryptus:mindseye-text:jar:2.0.0
    +- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
    |  \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
    |     +- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
    |     |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for conflict with 1.9.2)
    |     \- org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile
    \- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
       +- org.apache.avro:avro:jar:1.8.2:compile
       |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
       \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
          +- org.apache.avro:avro-ipc:jar:1.8.2:compile
          |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)

  6. com.simiacryptus:sparkbook:jar:2.0.0
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    +- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
    |  \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
    |     \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)

  7. com.simiacryptus:sparktree:jar:2.0.0
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    +- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
    |  \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
    |     \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)

  8. com.simiacryptus:test-reporter:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
    |        \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.13:compile - omitted for duplicate)

1.9.2
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    +- com.simiacryptus:mindseye-art:jar:2.0.0:compile
    |  \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |     \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |        \- com.sun.jersey:jersey-json:jar:1.19:compile
    |           +- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)
    |           +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:compile
    |           |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)
    |           \- org.codehaus.jackson:jackson-xc:jar:1.9.2:compile
    |              \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- com.simiacryptus:mindseye-art:jar:2.0.0:compile
    |  \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |     \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |        \- com.sun.jersey:jersey-json:jar:1.19:compile
    |           +- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)
    |           +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:compile
    |           |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)
    |           \- org.codehaus.jackson:jackson-xc:jar:1.9.2:compile
    |              \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

  3. com.simiacryptus:hadoop-jgit-fs:jar:2.0.0
    \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
       \- com.sun.jersey:jersey-json:jar:1.19:compile
          +- org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile
          +- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile
          |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)
          +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:compile
          |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)
          \- org.codehaus.jackson:jackson-xc:jar:1.9.2:compile
             \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)

  4. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- com.sun.jersey:jersey-json:jar:1.19:compile
             +- org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile
             +- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile
             |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)
             +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:compile
             |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)
             \- org.codehaus.jackson:jackson-xc:jar:1.9.2:compile
                \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)

  5. com.simiacryptus:mindseye-text:jar:2.0.0
    +- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |  \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |     \- com.sun.jersey:jersey-json:jar:1.19:compile
    |        +- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)
    |        +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:compile
    |        |  \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)
    |        \- org.codehaus.jackson:jackson-xc:jar:1.9.2:compile
    |           \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

  6. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

  7. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

  8. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.codehaus.jackson:jackson-core-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

org.codehaus.jackson:jackson-mapper-asl

[Error]
1.9.13
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
          \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
          \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)

  3. com.simiacryptus:hadoop-jgit-fs:jar:2.0.0
    \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
       \- org.apache.avro:avro:jar:1.7.7:compile
          \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for conflict with 1.9.2)

  4. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.avro:avro:jar:1.7.7:compile
             \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for conflict with 1.9.2)

  5. com.simiacryptus:mindseye-text:jar:2.0.0
    +- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
    |  \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
    |     \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)

  6. com.simiacryptus:sparkbook:jar:2.0.0
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    +- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
    |  \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
    |     \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile

  7. com.simiacryptus:sparktree:jar:2.0.0
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    +- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
    |  \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
    |     \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile

  8. com.simiacryptus:test-reporter:jar:2.0.0
    +- com.simiacryptus:sparkbook:jar:2.0.0:compile
    |  \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
    |     \- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile
    +- org.apache.spark:spark-core_2.12:jar:2.4.5:compile
    |  +- org.apache.avro:avro:jar:1.8.2:compile
    |  |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |  \- org.apache.avro:avro-mapred:jar:hadoop2:1.8.2:compile
    |     +- org.apache.avro:avro-ipc:jar:1.8.2:compile
    |     |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    |     \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)
    \- org.apache.spark:spark-sql_2.12:jar:2.4.5:compile
       \- org.apache.parquet:parquet-hadoop:jar:1.10.1:compile
          \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.13:compile - omitted for duplicate)

1.9.2
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    +- com.simiacryptus:mindseye-art:jar:2.0.0:compile
    |  \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |     \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |        \- com.sun.jersey:jersey-json:jar:1.19:compile
    |           +- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)
    |           +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:compile
    |           |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for duplicate)
    |           \- org.codehaus.jackson:jackson-xc:jar:1.9.2:compile
    |              \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    +- com.simiacryptus:mindseye-art:jar:2.0.0:compile
    |  \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |     \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |        \- com.sun.jersey:jersey-json:jar:1.19:compile
    |           +- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)
    |           +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:compile
    |           |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for duplicate)
    |           \- org.codehaus.jackson:jackson-xc:jar:1.9.2:compile
    |              \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

  3. com.simiacryptus:hadoop-jgit-fs:jar:2.0.0
    \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
       \- com.sun.jersey:jersey-json:jar:1.19:compile
          +- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile
          +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:compile
          |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for duplicate)
          \- org.codehaus.jackson:jackson-xc:jar:1.9.2:compile
             \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for duplicate)

  4. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- com.sun.jersey:jersey-json:jar:1.19:compile
             +- org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile
             +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:compile
             |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for duplicate)
             \- org.codehaus.jackson:jackson-xc:jar:1.9.2:compile
                \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for duplicate)

  5. com.simiacryptus:mindseye-text:jar:2.0.0
    +- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
    |  \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
    |     \- com.sun.jersey:jersey-json:jar:1.19:compile
    |        +- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)
    |        +- org.codehaus.jackson:jackson-jaxrs:jar:1.9.2:compile
    |        |  \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for duplicate)
    |        \- org.codehaus.jackson:jackson-xc:jar:1.9.2:compile
    |           \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for duplicate)
    \- com.simiacryptus:sparkbook:jar:2.0.0:test (scope not updated to compile)
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile (scope managed from test)
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

  6. com.simiacryptus:sparkbook:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

  7. com.simiacryptus:sparktree:jar:2.0.0
    \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
       \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
          \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

  8. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- org.apache.spark:spark-hive_2.12:jar:2.4.5:compile
          \- org.spark-project.hive:hive-exec:jar:1.2.1.spark2:compile
             \- (org.codehaus.jackson:jackson-mapper-asl:jar:1.9.2:compile - omitted for conflict with 1.9.13)

org.codehaus.plexus:plexus-classworlds

[Error]
2.5.2
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                         \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for conflict with 2.6.0)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                         \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for conflict with 2.6.0)

  3. com.simiacryptus:java-analysis:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.3:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
          \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for conflict with 2.6.0)

  4. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:test - omitted for conflict with 2.6.0)

  5. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                      \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for conflict with 2.6.0)

  6. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:test - omitted for conflict with 2.6.0)

  7. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.simiacryptus:java-analysis:jar:2.0.0:compile
          \- org.apache.maven:maven-embedder:jar:3.6.3:compile
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for conflict with 2.6.0)

  8. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                      \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for conflict with 2.6.0)

  9. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.simiacryptus:java-analysis:jar:2.0.0:test
             \- org.apache.maven:maven-embedder:jar:3.6.3:test
                \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                   \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:test - omitted for conflict with 2.6.0)

  10. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:test - omitted for conflict with 2.6.0)

  11. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.simiacryptus:java-analysis:jar:2.0.0:compile
       \- org.apache.maven:maven-embedder:jar:3.6.3:compile
          \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
             \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for conflict with 2.6.0)

  12. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                      \- (org.codehaus.plexus:plexus-classworlds:jar:2.5.2:compile - omitted for conflict with 2.6.0)

2.6.0
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      +- org.apache.maven:maven-core:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
                      +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
                      \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      +- org.apache.maven:maven-core:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
                      +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
                      \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile

  3. com.simiacryptus:java-analysis:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.3:compile
       +- org.apache.maven:maven-core:jar:3.6.3:compile
       |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
       +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
       |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
       \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile

  4. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             +- org.apache.maven:maven-core:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test - omitted for duplicate)
             +- org.apache.maven:maven-plugin-api:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test - omitted for duplicate)
             \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test

  5. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   +- org.apache.maven:maven-core:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
                   +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
                   \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile

  6. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             +- org.apache.maven:maven-core:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test - omitted for duplicate)
             +- org.apache.maven:maven-plugin-api:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test - omitted for duplicate)
             \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test

  7. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.simiacryptus:java-analysis:jar:2.0.0:compile
          \- org.apache.maven:maven-embedder:jar:3.6.3:compile
             +- org.apache.maven:maven-core:jar:3.6.3:compile
             |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
             +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
             |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
             \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile

  8. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   +- org.apache.maven:maven-core:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
                   +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
                   \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile

  9. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.simiacryptus:java-analysis:jar:2.0.0:test
             \- org.apache.maven:maven-embedder:jar:3.6.3:test
                +- org.apache.maven:maven-core:jar:3.6.3:test
                |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test - omitted for duplicate)
                +- org.apache.maven:maven-plugin-api:jar:3.6.3:test
                |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test - omitted for duplicate)
                \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test

  10. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             +- org.apache.maven:maven-core:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test - omitted for duplicate)
             +- org.apache.maven:maven-plugin-api:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test - omitted for duplicate)
             \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:test

  11. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.simiacryptus:java-analysis:jar:2.0.0:compile
       \- org.apache.maven:maven-embedder:jar:3.6.3:compile
          +- org.apache.maven:maven-core:jar:3.6.3:compile
          |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
          +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
          |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
          \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile

  12. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   +- org.apache.maven:maven-core:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
                   +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile - omitted for duplicate)
                   \- org.codehaus.plexus:plexus-classworlds:jar:2.6.0:compile

org.codehaus.plexus:plexus-component-annotations

[Error]
1.5.5
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                         \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 2.1.0)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                         \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 2.1.0)

  3. com.simiacryptus:java-analysis:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.3:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
          \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 2.1.0)

  4. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 2.1.0)

  5. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                      \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 2.1.0)

  6. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 2.1.0)

  7. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.simiacryptus:java-analysis:jar:2.0.0:compile
          \- org.apache.maven:maven-embedder:jar:3.6.3:compile
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 2.1.0)

  8. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                      \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 2.1.0)

  9. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.simiacryptus:java-analysis:jar:2.0.0:test
             \- org.apache.maven:maven-embedder:jar:3.6.3:test
                \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                   \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 2.1.0)

  10. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:test - omitted for conflict with 2.1.0)

  11. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.simiacryptus:java-analysis:jar:2.0.0:compile
       \- org.apache.maven:maven-embedder:jar:3.6.3:compile
          \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
             \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 2.1.0)

  12. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                      \- (org.codehaus.plexus:plexus-component-annotations:jar:1.5.5:compile - omitted for conflict with 2.1.0)

2.1.0
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.apache.maven:maven-core:jar:3.6.3:compile
                         \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.apache.maven:maven-core:jar:3.6.3:compile
                         \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile

  3. com.simiacryptus:java-analysis:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.3:compile
       \- org.apache.maven:maven-core:jar:3.6.3:compile
          \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile

  4. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.apache.maven:maven-core:jar:3.6.3:test
                \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:test

  5. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.apache.maven:maven-core:jar:3.6.3:compile
                      \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile

  6. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.apache.maven:maven-core:jar:3.6.3:test
                \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:test

  7. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.simiacryptus:java-analysis:jar:2.0.0:compile
          \- org.apache.maven:maven-embedder:jar:3.6.3:compile
             \- org.apache.maven:maven-core:jar:3.6.3:compile
                \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile

  8. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.apache.maven:maven-core:jar:3.6.3:compile
                      \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile

  9. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.simiacryptus:java-analysis:jar:2.0.0:test
             \- org.apache.maven:maven-embedder:jar:3.6.3:test
                \- org.apache.maven:maven-core:jar:3.6.3:test
                   \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:test

  10. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.apache.maven:maven-core:jar:3.6.3:test
                \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:test

  11. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.simiacryptus:java-analysis:jar:2.0.0:compile
       \- org.apache.maven:maven-embedder:jar:3.6.3:compile
          \- org.apache.maven:maven-core:jar:3.6.3:compile
             \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile

  12. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.apache.maven:maven-core:jar:3.6.3:compile
                      \- org.codehaus.plexus:plexus-component-annotations:jar:2.1.0:compile

org.codehaus.plexus:plexus-utils

[Error]
1.5.5
  1. com.simiacryptus:autocoder-core:maven-plugin:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.0:test
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:test - omitted for conflict with 3.1.0)

  2. com.simiacryptus:autocoder-test:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.0:test
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:test - omitted for conflict with 3.1.0)

  3. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                         \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.2.1)

  4. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                         \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.2.1)

  5. com.simiacryptus:java-analysis:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.3:compile
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.2.1)

  6. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
                \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:test - omitted for conflict with 3.2.1)

  7. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                      \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.2.1)

  8. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
                \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:test - omitted for conflict with 3.2.1)

  9. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.simiacryptus:java-analysis:jar:2.0.0:compile
          \- org.apache.maven:maven-embedder:jar:3.6.3:compile
             \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.2.1)

  10. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                      \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.2.1)

  11. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.simiacryptus:java-analysis:jar:2.0.0:test
             \- org.apache.maven:maven-embedder:jar:3.6.3:test
                \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
                   \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:test - omitted for conflict with 3.2.1)

  12. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
                \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:test - omitted for conflict with 3.2.1)

  13. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.simiacryptus:java-analysis:jar:2.0.0:compile
       \- org.apache.maven:maven-embedder:jar:3.6.3:compile
          \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
             \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.2.1)

  14. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                      \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:compile - omitted for conflict with 3.2.1)

  15. com.simiacryptus:refcount-autocoder:maven-plugin:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.0:test
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
          \- (org.codehaus.plexus:plexus-utils:jar:1.5.5:test - omitted for conflict with 3.1.0)

3.0.17
  1. com.simiacryptus:autocoder-core:maven-plugin:2.0.0
    \- org.apache.maven:maven-plugin-api:jar:3.6.0:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.1.0)

  2. com.simiacryptus:autocoder-test:jar:2.0.0
    \- org.apache.maven:maven-plugin-api:jar:3.6.0:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.1.0)

  3. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                         \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.2.1)

  4. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                         \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.2.1)

  5. com.simiacryptus:java-analysis:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.3:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.2.1)

  6. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:test - omitted for conflict with 3.2.1)

  7. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                      \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.2.1)

  8. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:test - omitted for conflict with 3.2.1)

  9. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.simiacryptus:java-analysis:jar:2.0.0:compile
          \- org.apache.maven:maven-embedder:jar:3.6.3:compile
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.2.1)

  10. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                      \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.2.1)

  11. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.simiacryptus:java-analysis:jar:2.0.0:test
             \- org.apache.maven:maven-embedder:jar:3.6.3:test
                \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                   \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:test - omitted for conflict with 3.2.1)

  12. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:test
                \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:test - omitted for conflict with 3.2.1)

  13. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.simiacryptus:java-analysis:jar:2.0.0:compile
       \- org.apache.maven:maven-embedder:jar:3.6.3:compile
          \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
             \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.2.1)

  14. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.4:compile
                      \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.2.1)

  15. com.simiacryptus:refcount-autocoder:maven-plugin:2.0.0
    \- org.apache.maven:maven-plugin-api:jar:3.6.0:compile
       \- org.eclipse.sisu:org.eclipse.sisu.plexus:jar:0.3.3:compile
          \- (org.codehaus.plexus:plexus-utils:jar:3.0.17:compile - omitted for conflict with 3.1.0)

3.1.0
  1. com.simiacryptus:autocoder-core:maven-plugin:2.0.0
    +- org.apache.maven:maven-embedder:jar:3.6.0:test
    |  +- org.apache.maven:maven-settings:jar:3.6.0:test
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for duplicate)
    |  +- org.apache.maven:maven-settings-builder:jar:3.6.0:test
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.6.0:test
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for duplicate)
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - scope updated from test; omitted for duplicate)
    +- org.apache.maven:maven-plugin-api:jar:3.6.0:compile
    |  +- org.apache.maven:maven-model:jar:3.6.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-artifact:jar:3.6.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  \- org.codehaus.plexus:plexus-utils:jar:3.1.0:compile
    \- org.apache.maven:maven-core:jar:3.6.0:provided
       +- org.apache.maven:maven-repository-metadata:jar:3.6.0:provided
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
       +- org.apache.maven:maven-resolver-provider:jar:3.6.0:provided
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
       \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)

  2. com.simiacryptus:autocoder-test:jar:2.0.0
    +- org.apache.maven:maven-embedder:jar:3.6.0:test
    |  +- org.apache.maven:maven-settings:jar:3.6.0:test
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for duplicate)
    |  +- org.apache.maven:maven-settings-builder:jar:3.6.0:test
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.6.0:test
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for duplicate)
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - scope updated from test; omitted for duplicate)
    +- org.apache.maven:maven-plugin-api:jar:3.6.0:compile
    |  +- org.apache.maven:maven-model:jar:3.6.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-artifact:jar:3.6.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  \- org.codehaus.plexus:plexus-utils:jar:3.1.0:compile
    \- org.apache.maven:maven-core:jar:3.6.0:provided
       +- org.apache.maven:maven-repository-metadata:jar:3.6.0:provided
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
       +- org.apache.maven:maven-resolver-provider:jar:3.6.0:provided
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
       \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)

  3. com.simiacryptus:refcount-autocoder:maven-plugin:2.0.0
    +- org.apache.maven:maven-embedder:jar:3.6.0:test
    |  +- org.apache.maven:maven-settings:jar:3.6.0:test
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for duplicate)
    |  +- org.apache.maven:maven-settings-builder:jar:3.6.0:test
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for duplicate)
    |  +- org.apache.maven:maven-model-builder:jar:3.6.0:test
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:test - omitted for duplicate)
    |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - scope updated from test; omitted for duplicate)
    +- org.apache.maven:maven-plugin-api:jar:3.6.0:compile
    |  +- org.apache.maven:maven-model:jar:3.6.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  +- org.apache.maven:maven-artifact:jar:3.6.0:compile
    |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:compile - omitted for duplicate)
    |  \- org.codehaus.plexus:plexus-utils:jar:3.1.0:compile
    \- org.apache.maven:maven-core:jar:3.6.0:provided
       +- org.apache.maven:maven-repository-metadata:jar:3.6.0:provided
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
       +- org.apache.maven:maven-resolver-provider:jar:3.6.0:provided
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)
       \- (org.codehaus.plexus:plexus-utils:jar:3.1.0:provided - omitted for duplicate)

3.2.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      +- org.apache.maven:maven-settings:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      +- org.apache.maven:maven-settings-builder:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      +- org.apache.maven:maven-core:jar:3.6.3:compile
                      |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:compile
                      |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      |  +- org.apache.maven:maven-artifact:jar:3.6.3:compile
                      |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:compile
                      |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      +- org.apache.maven:maven-model:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      +- org.apache.maven:maven-model-builder:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      \- org.codehaus.plexus:plexus-utils:jar:3.2.1:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      +- org.apache.maven:maven-settings:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      +- org.apache.maven:maven-settings-builder:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      +- org.apache.maven:maven-core:jar:3.6.3:compile
                      |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:compile
                      |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      |  +- org.apache.maven:maven-artifact:jar:3.6.3:compile
                      |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:compile
                      |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      +- org.apache.maven:maven-model:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      +- org.apache.maven:maven-model-builder:jar:3.6.3:compile
                      |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                      \- org.codehaus.plexus:plexus-utils:jar:3.2.1:compile

  3. com.simiacryptus:java-analysis:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.3:compile
       +- org.apache.maven:maven-settings:jar:3.6.3:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       +- org.apache.maven:maven-settings-builder:jar:3.6.3:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       +- org.apache.maven:maven-core:jar:3.6.3:compile
       |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       |  +- org.apache.maven:maven-artifact:jar:3.6.3:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:compile
       |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       +- org.apache.maven:maven-model:jar:3.6.3:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       +- org.apache.maven:maven-model-builder:jar:3.6.3:compile
       |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
       \- org.codehaus.plexus:plexus-utils:jar:3.2.1:compile

  4. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             +- org.apache.maven:maven-settings:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-settings-builder:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-core:jar:3.6.3:test
             |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:test
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             |  +- org.apache.maven:maven-artifact:jar:3.6.3:test
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:test
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-plugin-api:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-model:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-model-builder:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             \- org.codehaus.plexus:plexus-utils:jar:3.2.1:test

  5. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   +- org.apache.maven:maven-settings:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-settings-builder:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-core:jar:3.6.3:compile
                   |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:compile
                   |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   |  +- org.apache.maven:maven-artifact:jar:3.6.3:compile
                   |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:compile
                   |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-model:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-model-builder:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   \- org.codehaus.plexus:plexus-utils:jar:3.2.1:compile

  6. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             +- org.apache.maven:maven-settings:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-settings-builder:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-core:jar:3.6.3:test
             |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:test
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             |  +- org.apache.maven:maven-artifact:jar:3.6.3:test
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:test
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-plugin-api:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-model:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-model-builder:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             \- org.codehaus.plexus:plexus-utils:jar:3.2.1:test

  7. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.simiacryptus:java-analysis:jar:2.0.0:compile
          \- org.apache.maven:maven-embedder:jar:3.6.3:compile
             +- org.apache.maven:maven-settings:jar:3.6.3:compile
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
             +- org.apache.maven:maven-settings-builder:jar:3.6.3:compile
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
             +- org.apache.maven:maven-core:jar:3.6.3:compile
             |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:compile
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
             |  +- org.apache.maven:maven-artifact:jar:3.6.3:compile
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
             |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:compile
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
             +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
             +- org.apache.maven:maven-model:jar:3.6.3:compile
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
             +- org.apache.maven:maven-model-builder:jar:3.6.3:compile
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
             \- org.codehaus.plexus:plexus-utils:jar:3.2.1:compile

  8. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   +- org.apache.maven:maven-settings:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-settings-builder:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-core:jar:3.6.3:compile
                   |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:compile
                   |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   |  +- org.apache.maven:maven-artifact:jar:3.6.3:compile
                   |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:compile
                   |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-model:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-model-builder:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   \- org.codehaus.plexus:plexus-utils:jar:3.2.1:compile

  9. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.simiacryptus:java-analysis:jar:2.0.0:test
             \- org.apache.maven:maven-embedder:jar:3.6.3:test
                +- org.apache.maven:maven-settings:jar:3.6.3:test
                |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
                +- org.apache.maven:maven-settings-builder:jar:3.6.3:test
                |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
                +- org.apache.maven:maven-core:jar:3.6.3:test
                |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:test
                |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
                |  +- org.apache.maven:maven-artifact:jar:3.6.3:test
                |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
                |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:test
                |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
                |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
                +- org.apache.maven:maven-plugin-api:jar:3.6.3:test
                |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
                +- org.apache.maven:maven-model:jar:3.6.3:test
                |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
                +- org.apache.maven:maven-model-builder:jar:3.6.3:test
                |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
                \- org.codehaus.plexus:plexus-utils:jar:3.2.1:test

  10. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             +- org.apache.maven:maven-settings:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-settings-builder:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-core:jar:3.6.3:test
             |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:test
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             |  +- org.apache.maven:maven-artifact:jar:3.6.3:test
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:test
             |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-plugin-api:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-model:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             +- org.apache.maven:maven-model-builder:jar:3.6.3:test
             |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:test - omitted for duplicate)
             \- org.codehaus.plexus:plexus-utils:jar:3.2.1:test

  11. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.simiacryptus:java-analysis:jar:2.0.0:compile
       \- org.apache.maven:maven-embedder:jar:3.6.3:compile
          +- org.apache.maven:maven-settings:jar:3.6.3:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
          +- org.apache.maven:maven-settings-builder:jar:3.6.3:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
          +- org.apache.maven:maven-core:jar:3.6.3:compile
          |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:compile
          |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
          |  +- org.apache.maven:maven-artifact:jar:3.6.3:compile
          |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
          |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:compile
          |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
          |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
          +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
          +- org.apache.maven:maven-model:jar:3.6.3:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
          +- org.apache.maven:maven-model-builder:jar:3.6.3:compile
          |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
          \- org.codehaus.plexus:plexus-utils:jar:3.2.1:compile

  12. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   +- org.apache.maven:maven-settings:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-settings-builder:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-core:jar:3.6.3:compile
                   |  +- org.apache.maven:maven-repository-metadata:jar:3.6.3:compile
                   |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   |  +- org.apache.maven:maven-artifact:jar:3.6.3:compile
                   |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   |  +- org.apache.maven:maven-resolver-provider:jar:3.6.3:compile
                   |  |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-plugin-api:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-model:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   +- org.apache.maven:maven-model-builder:jar:3.6.3:compile
                   |  \- (org.codehaus.plexus:plexus-utils:jar:3.2.1:compile - omitted for duplicate)
                   \- org.codehaus.plexus:plexus-utils:jar:3.2.1:compile

org.jsoup:jsoup

[Error]
1.11.3
  1. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:deepartist.org:jar:2.0.0:compile
       \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
          \- com.simiacryptus:literate-reporting:jar:2.0.0:compile
             \- com.vladsch.flexmark:flexmark-all:jar:0.60.2:compile
                +- com.vladsch.flexmark:flexmark-html2md-converter:jar:0.60.2:compile
                |  \- (org.jsoup:jsoup:jar:1.11.3:compile - omitted for conflict with 1.12.1)
                \- com.vladsch.flexmark:flexmark-pdf-converter:jar:0.60.2:compile
                   +- (org.jsoup:jsoup:jar:1.11.3:compile - omitted for conflict with 1.12.1)
                   \- com.openhtmltopdf:openhtmltopdf-jsoup-dom-converter:jar:1.0.0:compile
                      \- (org.jsoup:jsoup:jar:1.11.3:compile - omitted for conflict with 1.12.1)

1.12.1
  1. com.simiacryptus:mindseye-text:jar:2.0.0
    \- org.jsoup:jsoup:jar:1.12.1:test (scope not updated to compile)

org.objenesis:objenesis

[Error]
2.5.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.twitter:chill_2.12:jar:0.9.5:compile
       \- com.esotericsoftware:kryo-shaded:jar:4.0.2:compile
          \- (org.objenesis:objenesis:jar:2.5.1:compile - omitted for conflict with 3.0.1)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.twitter:chill_2.12:jar:0.9.5:compile
       \- com.esotericsoftware:kryo-shaded:jar:4.0.2:compile
          \- (org.objenesis:objenesis:jar:2.5.1:compile - omitted for conflict with 3.0.1)

  3. com.simiacryptus:sparkbook:jar:2.0.0
    \- com.twitter:chill_2.12:jar:0.9.5:compile
       \- com.esotericsoftware:kryo-shaded:jar:4.0.2:compile
          \- (org.objenesis:objenesis:jar:2.5.1:compile - omitted for conflict with 3.0.1)

  4. com.simiacryptus:sparktree:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- com.twitter:chill_2.12:jar:0.9.5:compile
          \- com.esotericsoftware:kryo-shaded:jar:4.0.2:compile
             \- (org.objenesis:objenesis:jar:2.5.1:compile - omitted for conflict with 3.0.1)

  5. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.twitter:chill_2.12:jar:0.9.5:compile
       \- com.esotericsoftware:kryo-shaded:jar:4.0.2:compile
          \- (org.objenesis:objenesis:jar:2.5.1:compile - omitted for conflict with 3.0.1)

3.0.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.esotericsoftware:kryo:jar:5.0.0-RC5:compile
       \- org.objenesis:objenesis:jar:3.0.1:compile

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.esotericsoftware:kryo:jar:5.0.0-RC5:compile
       \- org.objenesis:objenesis:jar:3.0.1:compile

  3. com.simiacryptus:sparkbook:jar:2.0.0
    \- com.esotericsoftware:kryo:jar:5.0.0-RC5:compile
       \- org.objenesis:objenesis:jar:3.0.1:compile

  4. com.simiacryptus:sparktree:jar:2.0.0
    \- com.simiacryptus:sparkbook:jar:2.0.0:compile
       \- com.esotericsoftware:kryo:jar:5.0.0-RC5:compile
          \- org.objenesis:objenesis:jar:3.0.1:compile

  5. com.simiacryptus:test-reporter:jar:2.0.0
    \- com.esotericsoftware:kryo:jar:5.0.0-RC5:compile
       \- org.objenesis:objenesis:jar:3.0.1:compile

org.ow2.asm:asm

[Error]
5.0.4
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
                \- net.minidev:json-smart:jar:2.3:compile
                   \- net.minidev:accessors-smart:jar:1.2:compile
                      \- (org.ow2.asm:asm:jar:5.0.4:compile - omitted for conflict with 7.1)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
          \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
             \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
                \- net.minidev:json-smart:jar:2.3:compile
                   \- net.minidev:accessors-smart:jar:1.2:compile
                      \- (org.ow2.asm:asm:jar:5.0.4:compile - omitted for conflict with 7.1)

  3. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
             \- net.minidev:json-smart:jar:2.3:compile
                \- net.minidev:accessors-smart:jar:1.2:compile
                   \- org.ow2.asm:asm:jar:5.0.4:compile

  4. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:hadoop-jgit-fs:jar:2.0.0:compile
       \- org.apache.hadoop:hadoop-common:jar:3.2.1:compile
          \- org.apache.hadoop:hadoop-auth:jar:3.2.1:compile
             \- net.minidev:json-smart:jar:2.3:compile
                \- net.minidev:accessors-smart:jar:1.2:compile
                   \- (org.ow2.asm:asm:jar:5.0.4:compile - omitted for conflict with 7.1)

7.1
  1. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.github.jnr:jnr-posix:jar:3.0.54:compile
          \- com.github.jnr:jnr-ffi:jar:2.1.12:compile
             +- org.ow2.asm:asm:jar:7.1:compile
             +- org.ow2.asm:asm-commons:jar:7.1:compile
             |  \- (org.ow2.asm:asm:jar:7.1:compile - omitted for duplicate)
             +- org.ow2.asm:asm-tree:jar:7.1:compile
             |  \- (org.ow2.asm:asm:jar:7.1:compile - omitted for duplicate)
             \- org.ow2.asm:asm-util:jar:7.1:compile
                \- (org.ow2.asm:asm:jar:7.1:compile - omitted for duplicate)

  2. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
       \- com.github.jnr:jnr-posix:jar:3.0.54:compile
          \- com.github.jnr:jnr-ffi:jar:2.1.12:compile
             +- org.ow2.asm:asm:jar:7.1:compile
             +- org.ow2.asm:asm-commons:jar:7.1:compile
             |  \- (org.ow2.asm:asm:jar:7.1:compile - omitted for duplicate)
             +- org.ow2.asm:asm-tree:jar:7.1:compile
             |  \- (org.ow2.asm:asm:jar:7.1:compile - omitted for duplicate)
             \- org.ow2.asm:asm-util:jar:7.1:compile
                \- (org.ow2.asm:asm:jar:7.1:compile - omitted for duplicate)

  3. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
                \- com.github.jnr:jnr-posix:jar:3.0.54:compile
                   \- com.github.jnr:jnr-ffi:jar:2.1.12:compile
                      +- (org.ow2.asm:asm:jar:7.1:compile - omitted for conflict with 5.0.4)
                      +- org.ow2.asm:asm-commons:jar:7.1:compile
                      |  \- (org.ow2.asm:asm:jar:7.1:compile - omitted for conflict with 5.0.4)
                      +- org.ow2.asm:asm-tree:jar:7.1:compile
                      |  \- (org.ow2.asm:asm:jar:7.1:compile - omitted for conflict with 5.0.4)
                      \- org.ow2.asm:asm-util:jar:7.1:compile
                         \- (org.ow2.asm:asm:jar:7.1:compile - omitted for conflict with 5.0.4)

  4. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:deepartist.org:jar:2.0.0:compile
       \- com.simiacryptus:aws-utilities:jar:2.0.0:compile
          \- com.github.jnr:jnr-posix:jar:3.0.54:compile
             \- com.github.jnr:jnr-ffi:jar:2.1.12:compile
                +- org.ow2.asm:asm:jar:7.1:compile
                +- org.ow2.asm:asm-commons:jar:7.1:compile
                |  \- (org.ow2.asm:asm:jar:7.1:compile - omitted for duplicate)
                +- org.ow2.asm:asm-tree:jar:7.1:compile
                |  \- (org.ow2.asm:asm:jar:7.1:compile - omitted for duplicate)
                \- org.ow2.asm:asm-util:jar:7.1:compile
                   \- (org.ow2.asm:asm:jar:7.1:compile - omitted for duplicate)

org.sonatype.plexus:plexus-cipher

[Error]
1.4
  1. com.simiacryptus:autocoder-core:maven-plugin:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.0:test
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
          \- (org.sonatype.plexus:plexus-cipher:jar:1.4:test - omitted for conflict with 1.7)

  2. com.simiacryptus:autocoder-test:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.0:test
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
          \- (org.sonatype.plexus:plexus-cipher:jar:1.4:test - omitted for conflict with 1.7)

  3. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                         \- (org.sonatype.plexus:plexus-cipher:jar:1.4:compile - omitted for conflict with 1.7)

  4. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                         \- (org.sonatype.plexus:plexus-cipher:jar:1.4:compile - omitted for conflict with 1.7)

  5. com.simiacryptus:java-analysis:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.3:compile
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
          \- (org.sonatype.plexus:plexus-cipher:jar:1.4:compile - omitted for conflict with 1.7)

  6. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
                \- (org.sonatype.plexus:plexus-cipher:jar:1.4:test - omitted for conflict with 1.7)

  7. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                      \- (org.sonatype.plexus:plexus-cipher:jar:1.4:compile - omitted for conflict with 1.7)

  8. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
                \- (org.sonatype.plexus:plexus-cipher:jar:1.4:test - omitted for conflict with 1.7)

  9. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.simiacryptus:java-analysis:jar:2.0.0:compile
          \- org.apache.maven:maven-embedder:jar:3.6.3:compile
             \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                \- (org.sonatype.plexus:plexus-cipher:jar:1.4:compile - omitted for conflict with 1.7)

  10. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                      \- (org.sonatype.plexus:plexus-cipher:jar:1.4:compile - omitted for conflict with 1.7)

  11. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.simiacryptus:java-analysis:jar:2.0.0:test
             \- org.apache.maven:maven-embedder:jar:3.6.3:test
                \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
                   \- (org.sonatype.plexus:plexus-cipher:jar:1.4:test - omitted for conflict with 1.7)

  12. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
                \- (org.sonatype.plexus:plexus-cipher:jar:1.4:test - omitted for conflict with 1.7)

  13. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.simiacryptus:java-analysis:jar:2.0.0:compile
       \- org.apache.maven:maven-embedder:jar:3.6.3:compile
          \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
             \- (org.sonatype.plexus:plexus-cipher:jar:1.4:compile - omitted for conflict with 1.7)

  14. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:compile
                      \- (org.sonatype.plexus:plexus-cipher:jar:1.4:compile - omitted for conflict with 1.7)

  15. com.simiacryptus:refcount-autocoder:maven-plugin:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.0:test
       \- org.sonatype.plexus:plexus-sec-dispatcher:jar:1.4:test
          \- (org.sonatype.plexus:plexus-cipher:jar:1.4:test - omitted for conflict with 1.7)

1.7
  1. com.simiacryptus:autocoder-core:maven-plugin:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.0:test
       \- org.sonatype.plexus:plexus-cipher:jar:1.7:test

  2. com.simiacryptus:autocoder-test:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.0:test
       \- org.sonatype.plexus:plexus-cipher:jar:1.7:test

  3. com.simiacryptus:deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.sonatype.plexus:plexus-cipher:jar:1.7:compile

  4. com.simiacryptus:examples.deepartist.org:jar:2.0.0
    \- com.simiacryptus:mindseye-art:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
             \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
                \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                   \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                      \- org.sonatype.plexus:plexus-cipher:jar:1.7:compile

  5. com.simiacryptus:java-analysis:jar:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.3:compile
       \- org.sonatype.plexus:plexus-cipher:jar:1.7:compile

  6. com.simiacryptus:mindseye-aparapi:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.sonatype.plexus:plexus-cipher:jar:1.7:test

  7. com.simiacryptus:mindseye-art:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.sonatype.plexus:plexus-cipher:jar:1.7:compile

  8. com.simiacryptus:mindseye-cudnn:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.sonatype.plexus:plexus-cipher:jar:1.7:test

  9. com.simiacryptus:mindseye-java:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
       \- com.simiacryptus:java-analysis:jar:2.0.0:compile
          \- org.apache.maven:maven-embedder:jar:3.6.3:compile
             \- org.sonatype.plexus:plexus-cipher:jar:1.7:compile

  10. com.simiacryptus:mindseye-labs:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.sonatype.plexus:plexus-cipher:jar:1.7:compile

  11. com.simiacryptus:mindseye-research:jar:2.0.0
    \- com.simiacryptus:mindseye-java:jar:2.0.0:test
       \- com.simiacryptus:mindseye-test:jar:2.0.0:test
          \- com.simiacryptus:java-analysis:jar:2.0.0:test
             \- org.apache.maven:maven-embedder:jar:3.6.3:test
                \- org.sonatype.plexus:plexus-cipher:jar:1.7:test

  12. com.simiacryptus:mindseye-tensorflow:jar:2.0.0
    \- com.simiacryptus:mindseye-test:jar:2.0.0:test (scope not updated to compile)
       \- com.simiacryptus:java-analysis:jar:2.0.0:test
          \- org.apache.maven:maven-embedder:jar:3.6.3:test
             \- org.sonatype.plexus:plexus-cipher:jar:1.7:test

  13. com.simiacryptus:mindseye-test:jar:2.0.0
    \- com.simiacryptus:java-analysis:jar:2.0.0:compile
       \- org.apache.maven:maven-embedder:jar:3.6.3:compile
          \- org.sonatype.plexus:plexus-cipher:jar:1.7:compile

  14. com.simiacryptus:mindseye-text:jar:2.0.0
    \- com.simiacryptus:mindseye-cudnn:jar:2.0.0:compile
       \- com.simiacryptus:mindseye-java:jar:2.0.0:compile
          \- com.simiacryptus:mindseye-test:jar:2.0.0:compile
             \- com.simiacryptus:java-analysis:jar:2.0.0:compile
                \- org.apache.maven:maven-embedder:jar:3.6.3:compile
                   \- org.sonatype.plexus:plexus-cipher:jar:1.7:compile

  15. com.simiacryptus:refcount-autocoder:maven-plugin:2.0.0
    \- org.apache.maven:maven-embedder:jar:3.6.0:test
       \- org.sonatype.plexus:plexus-cipher:jar:1.7:test